#ifndef _H_E5B8293C0C72DD17F77CB83CD53CF808_EscStatus__H_
#define _H_E5B8293C0C72DD17F77CB83CD53CF808_EscStatus__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "px4_msgs/msg/dds_opensplice/EscReport_.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet EscStatus__CONNECTED_ESC_MAX = 8;

            const ::DDS::Octet EscStatus__ESC_CONNECTION_TYPE_PPM = 0;

            const ::DDS::Octet EscStatus__ESC_CONNECTION_TYPE_SERIAL = 1;

            const ::DDS::Octet EscStatus__ESC_CONNECTION_TYPE_ONESHOT = 2;

            const ::DDS::Octet EscStatus__ESC_CONNECTION_TYPE_I2C = 3;

            const ::DDS::Octet EscStatus__ESC_CONNECTION_TYPE_CAN = 4;

            const ::DDS::Octet EscStatus__ESC_CONNECTION_TYPE_DSHOT = 5;

            struct px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_uniq_{};
            typedef ::px4_msgs::msg::dds_::EscReport_ px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice;
            typedef ::px4_msgs::msg::dds_::EscReport_ px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8[8];
            typedef DDS_DCPS_FArray_var< px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8, px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice, struct px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_uniq_ > px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_var;
            typedef px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8 px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8, px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice, struct px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_uniq_ > px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_forany;
            extern px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice *px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_alloc();
            extern void px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_free(px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice *);
            extern void px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_copy(px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice *to, const px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice *from);
            extern px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice *px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_dup(const px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8_slice *from);

            struct  EscStatus_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::UShort counter_;
                ::DDS::Octet esc_count_;
                ::DDS::Octet esc_connectiontype_;
                ::DDS::Octet esc_online_flags_;
                ::px4_msgs::msg::dds_::px4_msgs__EscStatus__px4_msgs__msg__dds___EscReport__array_8 esc_;
            };

            typedef DDS_DCPSStruct_var<EscStatus_> EscStatus__var;
            typedef EscStatus_& EscStatus__out;

        }

    }

}

#endif /* _H_E5B8293C0C72DD17F77CB83CD53CF808_EscStatus__H_ */
