#ifndef _H_79EAC709859D8B4B499447E568ADDE48_InputRc__H_
#define _H_79EAC709859D8B4B499447E568ADDE48_InputRc__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_UNKNOWN = 0;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4FMU_PPM = 1;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4IO_PPM = 2;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4IO_SPEKTRUM = 3;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4IO_SBUS = 4;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4IO_ST24 = 5;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_MAVLINK = 6;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_QURT = 7;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4FMU_SPEKTRUM = 8;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4FMU_SBUS = 9;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4FMU_ST24 = 10;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4FMU_SUMD = 11;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4FMU_DSM = 12;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4IO_SUMD = 13;

            const ::DDS::Octet InputRc__RC_INPUT_SOURCE_PX4FMU_CRSF = 14;

            const ::DDS::Octet InputRc__RC_INPUT_MAX_CHANNELS = 18;

            struct px4_msgs__InputRc__unsigned_short_array_18_uniq_{};
            typedef ::DDS::UShort px4_msgs__InputRc__unsigned_short_array_18_slice;
            typedef ::DDS::UShort px4_msgs__InputRc__unsigned_short_array_18[18];
            typedef DDS_DCPS_FArray_var< px4_msgs__InputRc__unsigned_short_array_18, px4_msgs__InputRc__unsigned_short_array_18_slice, struct px4_msgs__InputRc__unsigned_short_array_18_uniq_ > px4_msgs__InputRc__unsigned_short_array_18_var;
            typedef px4_msgs__InputRc__unsigned_short_array_18 px4_msgs__InputRc__unsigned_short_array_18_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__InputRc__unsigned_short_array_18, px4_msgs__InputRc__unsigned_short_array_18_slice, struct px4_msgs__InputRc__unsigned_short_array_18_uniq_ > px4_msgs__InputRc__unsigned_short_array_18_forany;
            extern px4_msgs__InputRc__unsigned_short_array_18_slice *px4_msgs__InputRc__unsigned_short_array_18_alloc();
            extern void px4_msgs__InputRc__unsigned_short_array_18_free(px4_msgs__InputRc__unsigned_short_array_18_slice *);
            extern void px4_msgs__InputRc__unsigned_short_array_18_copy(px4_msgs__InputRc__unsigned_short_array_18_slice *to, const px4_msgs__InputRc__unsigned_short_array_18_slice *from);
            extern px4_msgs__InputRc__unsigned_short_array_18_slice *px4_msgs__InputRc__unsigned_short_array_18_dup(const px4_msgs__InputRc__unsigned_short_array_18_slice *from);

            struct  InputRc_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::ULongLong timestamp_last_signal_;
                ::DDS::ULong channel_count_;
                ::DDS::Long rssi_;
                ::DDS::Boolean rc_failsafe_;
                ::DDS::Boolean rc_lost_;
                ::DDS::UShort rc_lost_frame_count_;
                ::DDS::UShort rc_total_frame_count_;
                ::DDS::UShort rc_ppm_frame_length_;
                ::DDS::Octet input_source_;
                ::px4_msgs::msg::dds_::px4_msgs__InputRc__unsigned_short_array_18 values_;
            };

            typedef DDS_DCPSStruct_var<InputRc_> InputRc__var;
            typedef InputRc_& InputRc__out;

        }

    }

}

#endif /* _H_79EAC709859D8B4B499447E568ADDE48_InputRc__H_ */
