#ifndef _H_BE820EF7FFCA51E12FAA145FB3F39196_MissionResult__H_
#define _H_BE820EF7FFCA51E12FAA145FB3F39196_MissionResult__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet MissionResult__MISSION_EXECUTION_MODE_NORMAL = 0;

            const ::DDS::Octet MissionResult__MISSION_EXECUTION_MODE_REVERSE = 1;

            const ::DDS::Octet MissionResult__MISSION_EXECUTION_MODE_FAST_FORWARD = 2;

            struct  MissionResult_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::ULong instance_count_;
                ::DDS::Long seq_reached_;
                ::DDS::UShort seq_current_;
                ::DDS::UShort seq_total_;
                ::DDS::Boolean valid_;
                ::DDS::Boolean warning_;
                ::DDS::Boolean finished_;
                ::DDS::Boolean failure_;
                ::DDS::Boolean stay_in_failsafe_;
                ::DDS::Boolean flight_termination_;
                ::DDS::Boolean item_do_jump_changed_;
                ::DDS::UShort item_changed_index_;
                ::DDS::UShort item_do_jump_remaining_;
                ::DDS::Octet execution_mode_;
            };

            typedef DDS_DCPSStruct_var<MissionResult_> MissionResult__var;
            typedef MissionResult_& MissionResult__out;

        }

    }

}

#endif /* _H_BE820EF7FFCA51E12FAA145FB3F39196_MissionResult__H_ */
