#ifndef _H_819917AA7700B3B6F92F19D0917272C3_RcChannels__H_
#define _H_819917AA7700B3B6F92F19D0917272C3_RcChannels__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_THROTTLE = 0;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_ROLL = 1;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_PITCH = 2;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_YAW = 3;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_MODE = 4;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_RETURN = 5;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_POSCTL = 6;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_LOITER = 7;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_OFFBOARD = 8;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_ACRO = 9;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_FLAPS = 10;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_AUX_1 = 11;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_AUX_2 = 12;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_AUX_3 = 13;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_AUX_4 = 14;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_AUX_5 = 15;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_PARAM_1 = 16;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_PARAM_2 = 17;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_PARAM_3_5 = 18;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_RATTITUDE = 19;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_KILLSWITCH = 20;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_TRANSITION = 21;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_GEAR = 22;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_ARMSWITCH = 23;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_STAB = 24;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_AUX_6 = 25;

            const ::DDS::Octet RcChannels__RC_CHANNELS_FUNCTION_MAN = 26;

            struct px4_msgs__RcChannels__float_array_18_uniq_{};
            typedef ::DDS::Float px4_msgs__RcChannels__float_array_18_slice;
            typedef ::DDS::Float px4_msgs__RcChannels__float_array_18[18];
            typedef DDS_DCPS_FArray_var< px4_msgs__RcChannels__float_array_18, px4_msgs__RcChannels__float_array_18_slice, struct px4_msgs__RcChannels__float_array_18_uniq_ > px4_msgs__RcChannels__float_array_18_var;
            typedef px4_msgs__RcChannels__float_array_18 px4_msgs__RcChannels__float_array_18_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__RcChannels__float_array_18, px4_msgs__RcChannels__float_array_18_slice, struct px4_msgs__RcChannels__float_array_18_uniq_ > px4_msgs__RcChannels__float_array_18_forany;
            extern px4_msgs__RcChannels__float_array_18_slice *px4_msgs__RcChannels__float_array_18_alloc();
            extern void px4_msgs__RcChannels__float_array_18_free(px4_msgs__RcChannels__float_array_18_slice *);
            extern void px4_msgs__RcChannels__float_array_18_copy(px4_msgs__RcChannels__float_array_18_slice *to, const px4_msgs__RcChannels__float_array_18_slice *from);
            extern px4_msgs__RcChannels__float_array_18_slice *px4_msgs__RcChannels__float_array_18_dup(const px4_msgs__RcChannels__float_array_18_slice *from);

            struct px4_msgs__RcChannels__octet_array_27_uniq_{};
            typedef ::DDS::Octet px4_msgs__RcChannels__octet_array_27_slice;
            typedef ::DDS::Octet px4_msgs__RcChannels__octet_array_27[27];
            typedef DDS_DCPS_FArray_var< px4_msgs__RcChannels__octet_array_27, px4_msgs__RcChannels__octet_array_27_slice, struct px4_msgs__RcChannels__octet_array_27_uniq_ > px4_msgs__RcChannels__octet_array_27_var;
            typedef px4_msgs__RcChannels__octet_array_27 px4_msgs__RcChannels__octet_array_27_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__RcChannels__octet_array_27, px4_msgs__RcChannels__octet_array_27_slice, struct px4_msgs__RcChannels__octet_array_27_uniq_ > px4_msgs__RcChannels__octet_array_27_forany;
            extern px4_msgs__RcChannels__octet_array_27_slice *px4_msgs__RcChannels__octet_array_27_alloc();
            extern void px4_msgs__RcChannels__octet_array_27_free(px4_msgs__RcChannels__octet_array_27_slice *);
            extern void px4_msgs__RcChannels__octet_array_27_copy(px4_msgs__RcChannels__octet_array_27_slice *to, const px4_msgs__RcChannels__octet_array_27_slice *from);
            extern px4_msgs__RcChannels__octet_array_27_slice *px4_msgs__RcChannels__octet_array_27_dup(const px4_msgs__RcChannels__octet_array_27_slice *from);

            struct  RcChannels_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::ULongLong timestamp_last_valid_;
                ::px4_msgs::msg::dds_::px4_msgs__RcChannels__float_array_18 channels_;
                ::DDS::Octet channel_count_;
                ::px4_msgs::msg::dds_::px4_msgs__RcChannels__octet_array_27 function_;
                ::DDS::Octet rssi_;
                ::DDS::Boolean signal_lost_;
                ::DDS::ULong frame_drop_count_;
            };

            typedef DDS_DCPSStruct_var<RcChannels_> RcChannels__var;
            typedef RcChannels_& RcChannels__out;

        }

    }

}

#endif /* _H_819917AA7700B3B6F92F19D0917272C3_RcChannels__H_ */
