#ifndef _H_6435BB3C6B59CABD127E783D6B4DE47E_SensorCorrection__H_
#define _H_6435BB3C6B59CABD127E783D6B4DE47E_SensorCorrection__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct px4_msgs__SensorCorrection__float_array_3_uniq_{};
            typedef ::DDS::Float px4_msgs__SensorCorrection__float_array_3_slice;
            typedef ::DDS::Float px4_msgs__SensorCorrection__float_array_3[3];
            typedef DDS_DCPS_FArray_var< px4_msgs__SensorCorrection__float_array_3, px4_msgs__SensorCorrection__float_array_3_slice, struct px4_msgs__SensorCorrection__float_array_3_uniq_ > px4_msgs__SensorCorrection__float_array_3_var;
            typedef px4_msgs__SensorCorrection__float_array_3 px4_msgs__SensorCorrection__float_array_3_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__SensorCorrection__float_array_3, px4_msgs__SensorCorrection__float_array_3_slice, struct px4_msgs__SensorCorrection__float_array_3_uniq_ > px4_msgs__SensorCorrection__float_array_3_forany;
            extern px4_msgs__SensorCorrection__float_array_3_slice *px4_msgs__SensorCorrection__float_array_3_alloc();
            extern void px4_msgs__SensorCorrection__float_array_3_free(px4_msgs__SensorCorrection__float_array_3_slice *);
            extern void px4_msgs__SensorCorrection__float_array_3_copy(px4_msgs__SensorCorrection__float_array_3_slice *to, const px4_msgs__SensorCorrection__float_array_3_slice *from);
            extern px4_msgs__SensorCorrection__float_array_3_slice *px4_msgs__SensorCorrection__float_array_3_dup(const px4_msgs__SensorCorrection__float_array_3_slice *from);

            struct px4_msgs__SensorCorrection__octet_array_3_uniq_{};
            typedef ::DDS::Octet px4_msgs__SensorCorrection__octet_array_3_slice;
            typedef ::DDS::Octet px4_msgs__SensorCorrection__octet_array_3[3];
            typedef DDS_DCPS_FArray_var< px4_msgs__SensorCorrection__octet_array_3, px4_msgs__SensorCorrection__octet_array_3_slice, struct px4_msgs__SensorCorrection__octet_array_3_uniq_ > px4_msgs__SensorCorrection__octet_array_3_var;
            typedef px4_msgs__SensorCorrection__octet_array_3 px4_msgs__SensorCorrection__octet_array_3_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__SensorCorrection__octet_array_3, px4_msgs__SensorCorrection__octet_array_3_slice, struct px4_msgs__SensorCorrection__octet_array_3_uniq_ > px4_msgs__SensorCorrection__octet_array_3_forany;
            extern px4_msgs__SensorCorrection__octet_array_3_slice *px4_msgs__SensorCorrection__octet_array_3_alloc();
            extern void px4_msgs__SensorCorrection__octet_array_3_free(px4_msgs__SensorCorrection__octet_array_3_slice *);
            extern void px4_msgs__SensorCorrection__octet_array_3_copy(px4_msgs__SensorCorrection__octet_array_3_slice *to, const px4_msgs__SensorCorrection__octet_array_3_slice *from);
            extern px4_msgs__SensorCorrection__octet_array_3_slice *px4_msgs__SensorCorrection__octet_array_3_dup(const px4_msgs__SensorCorrection__octet_array_3_slice *from);

            struct  SensorCorrection_
            {
                ::DDS::ULongLong timestamp_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 gyro_offset_0_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 gyro_scale_0_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 gyro_offset_1_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 gyro_scale_1_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 gyro_offset_2_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 gyro_scale_2_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 accel_offset_0_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 accel_scale_0_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 accel_offset_1_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 accel_scale_1_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 accel_offset_2_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__float_array_3 accel_scale_2_;
                ::DDS::Float baro_offset_0_;
                ::DDS::Float baro_scale_0_;
                ::DDS::Float baro_offset_1_;
                ::DDS::Float baro_scale_1_;
                ::DDS::Float baro_offset_2_;
                ::DDS::Float baro_scale_2_;
                ::DDS::Octet selected_gyro_instance_;
                ::DDS::Octet selected_accel_instance_;
                ::DDS::Octet selected_baro_instance_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__octet_array_3 gyro_mapping_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__octet_array_3 accel_mapping_;
                ::px4_msgs::msg::dds_::px4_msgs__SensorCorrection__octet_array_3 baro_mapping_;
            };

            typedef DDS_DCPSStruct_var<SensorCorrection_> SensorCorrection__var;
            typedef SensorCorrection_& SensorCorrection__out;

        }

    }

}

#endif /* _H_6435BB3C6B59CABD127E783D6B4DE47E_SensorCorrection__H_ */
