#ifndef _H_25462484D6BA51B61F04F171C027E6C2_SubsystemInfo__H_
#define _H_25462484D6BA51B61F04F171C027E6C2_SubsystemInfo__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_GYRO = 1ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_ACC = 2ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_MAG = 4ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_ABSPRESSURE = 8ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_DIFFPRESSURE = 16ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_GPS = 32ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_OPTICALFLOW = 64ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_CVPOSITION = 128ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_LASERPOSITION = 256ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_EXTERNALGROUNDTRUTH = 512ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_ANGULARRATECONTROL = 1024ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_ATTITUDESTABILIZATION = 2048ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_YAWPOSITION = 4096ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_ALTITUDECONTROL = 8192ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_POSITIONCONTROL = 16384ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_MOTORCONTROL = 32768ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_RCRECEIVER = 65536ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_GYRO2 = 131072ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_ACC2 = 262144ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_MAG2 = 524288ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_GEOFENCE = 1048576ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_AHRS = 2097152ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_TERRAIN = 4194304ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_REVERSEMOTOR = 8388608ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_LOGGING = 16777216ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_SENSORBATTERY = 33554432ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_SENSORPROXIMITY = 67108864ULL;

            const ::DDS::ULongLong SubsystemInfo__SUBSYSTEM_TYPE_SATCOM = 134217728ULL;

            const ::DDS::Octet SubsystemInfo__ORB_QUEUE_LENGTH = 5;

            struct  SubsystemInfo_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Boolean present_;
                ::DDS::Boolean enabled_;
                ::DDS::Boolean ok_;
                ::DDS::ULongLong subsystem_type_;
            };

            typedef DDS_DCPSStruct_var<SubsystemInfo_> SubsystemInfo__var;
            typedef SubsystemInfo_& SubsystemInfo__out;

        }

    }

}

#endif /* _H_25462484D6BA51B61F04F171C027E6C2_SubsystemInfo__H_ */
