#ifndef _H_4BA64DB4F7443EE0973C1A5522060902_TecsStatus__H_
#define _H_4BA64DB4F7443EE0973C1A5522060902_TecsStatus__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet TecsStatus__TECS_MODE_NORMAL = 0;

            const ::DDS::Octet TecsStatus__TECS_MODE_UNDERSPEED = 1;

            const ::DDS::Octet TecsStatus__TECS_MODE_TAKEOFF = 2;

            const ::DDS::Octet TecsStatus__TECS_MODE_LAND = 3;

            const ::DDS::Octet TecsStatus__TECS_MODE_LAND_THROTTLELIM = 4;

            const ::DDS::Octet TecsStatus__TECS_MODE_BAD_DESCENT = 5;

            const ::DDS::Octet TecsStatus__TECS_MODE_CLIMBOUT = 6;

            struct  TecsStatus_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Float altitude_sp_;
                ::DDS::Float altitude_filtered_;
                ::DDS::Float height_rate_setpoint_;
                ::DDS::Float height_rate_;
                ::DDS::Float airspeed_sp_;
                ::DDS::Float airspeed_filtered_;
                ::DDS::Float airspeed_derivative_sp_;
                ::DDS::Float airspeed_derivative_;
                ::DDS::Float total_energy_error_;
                ::DDS::Float energy_distribution_error_;
                ::DDS::Float total_energy_rate_error_;
                ::DDS::Float energy_distribution_rate_error_;
                ::DDS::Float throttle_integ_;
                ::DDS::Float pitch_integ_;
                ::DDS::Octet mode_;
            };

            typedef DDS_DCPSStruct_var<TecsStatus_> TecsStatus__var;
            typedef TecsStatus_& TecsStatus__out;

        }

    }

}

#endif /* _H_4BA64DB4F7443EE0973C1A5522060902_TecsStatus__H_ */
