#ifndef _H_EA3D92D17B1948D0DB993FBCBD25D9B5_TestMotor__H_
#define _H_EA3D92D17B1948D0DB993FBCBD25D9B5_TestMotor__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet TestMotor__NUM_MOTOR_OUTPUTS = 8;

            const ::DDS::Octet TestMotor__ACTION_STOP = 0;

            const ::DDS::Octet TestMotor__ACTION_RUN = 1;

            const ::DDS::Octet TestMotor__ORB_QUEUE_LENGTH = 4;

            struct  TestMotor_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Octet action_;
                ::DDS::ULong motor_number_;
                ::DDS::Float value_;
                ::DDS::ULong timeout_ms_;
                ::DDS::Octet driver_instance_;
            };

            typedef DDS_DCPSStruct_var<TestMotor_> TestMotor__var;
            typedef TestMotor_& TestMotor__out;

        }

    }

}

#endif /* _H_EA3D92D17B1948D0DB993FBCBD25D9B5_TestMotor__H_ */
