#ifndef _H_5AD757F9083A15195C598C76F2F19D14_TransponderReport__H_
#define _H_5AD757F9083A15195C598C76F2F19D14_TransponderReport__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::UShort TransponderReport__PX4_ADSB_FLAGS_VALID_COORDS = 1U;

            const ::DDS::UShort TransponderReport__PX4_ADSB_FLAGS_VALID_ALTITUDE = 2U;

            const ::DDS::UShort TransponderReport__PX4_ADSB_FLAGS_VALID_HEADING = 4U;

            const ::DDS::UShort TransponderReport__PX4_ADSB_FLAGS_VALID_VELOCITY = 8U;

            const ::DDS::UShort TransponderReport__PX4_ADSB_FLAGS_VALID_CALLSIGN = 16U;

            const ::DDS::UShort TransponderReport__PX4_ADSB_FLAGS_VALID_SQUAWK = 32U;

            const ::DDS::UShort TransponderReport__PX4_ADSB_FLAGS_RETRANSLATE = 256U;

            const ::DDS::Octet TransponderReport__ORB_QUEUE_LENGTH = 10;

            struct px4_msgs__TransponderReport__char_array_9_uniq_{};
            typedef ::DDS::Char px4_msgs__TransponderReport__char_array_9_slice;
            typedef ::DDS::Char px4_msgs__TransponderReport__char_array_9[9];
            typedef DDS_DCPS_FArray_var< px4_msgs__TransponderReport__char_array_9, px4_msgs__TransponderReport__char_array_9_slice, struct px4_msgs__TransponderReport__char_array_9_uniq_ > px4_msgs__TransponderReport__char_array_9_var;
            typedef px4_msgs__TransponderReport__char_array_9 px4_msgs__TransponderReport__char_array_9_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__TransponderReport__char_array_9, px4_msgs__TransponderReport__char_array_9_slice, struct px4_msgs__TransponderReport__char_array_9_uniq_ > px4_msgs__TransponderReport__char_array_9_forany;
            extern px4_msgs__TransponderReport__char_array_9_slice *px4_msgs__TransponderReport__char_array_9_alloc();
            extern void px4_msgs__TransponderReport__char_array_9_free(px4_msgs__TransponderReport__char_array_9_slice *);
            extern void px4_msgs__TransponderReport__char_array_9_copy(px4_msgs__TransponderReport__char_array_9_slice *to, const px4_msgs__TransponderReport__char_array_9_slice *from);
            extern px4_msgs__TransponderReport__char_array_9_slice *px4_msgs__TransponderReport__char_array_9_dup(const px4_msgs__TransponderReport__char_array_9_slice *from);

            struct  TransponderReport_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::ULong icao_address_;
                ::DDS::Double lat_;
                ::DDS::Double lon_;
                ::DDS::Octet altitude_type_;
                ::DDS::Float altitude_;
                ::DDS::Float heading_;
                ::DDS::Float hor_velocity_;
                ::DDS::Float ver_velocity_;
                ::px4_msgs::msg::dds_::px4_msgs__TransponderReport__char_array_9 callsign_;
                ::DDS::Octet emitter_type_;
                ::DDS::Octet tslc_;
                ::DDS::UShort flags_;
                ::DDS::UShort squawk_;
            };

            typedef DDS_DCPSStruct_var<TransponderReport_> TransponderReport__var;
            typedef TransponderReport_& TransponderReport__out;

        }

    }

}

#endif /* _H_5AD757F9083A15195C598C76F2F19D14_TransponderReport__H_ */
