#ifndef _H_5CC2C932B97EC5F052ADB2732ABDBE56_VehicleCommandAck__H_
#define _H_5CC2C932B97EC5F052ADB2732ABDBE56_VehicleCommandAck__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet VehicleCommandAck__VEHICLE_RESULT_ACCEPTED = 0;

            const ::DDS::Octet VehicleCommandAck__VEHICLE_RESULT_TEMPORARILY_REJECTED = 1;

            const ::DDS::Octet VehicleCommandAck__VEHICLE_RESULT_DENIED = 2;

            const ::DDS::Octet VehicleCommandAck__VEHICLE_RESULT_UNSUPPORTED = 3;

            const ::DDS::Octet VehicleCommandAck__VEHICLE_RESULT_FAILED = 4;

            const ::DDS::Octet VehicleCommandAck__VEHICLE_RESULT_IN_PROGRESS = 5;

            const ::DDS::UShort VehicleCommandAck__ARM_AUTH_DENIED_REASON_GENERIC = 0U;

            const ::DDS::UShort VehicleCommandAck__ARM_AUTH_DENIED_REASON_NONE = 1U;

            const ::DDS::UShort VehicleCommandAck__ARM_AUTH_DENIED_REASON_INVALID_WAYPOINT = 2U;

            const ::DDS::UShort VehicleCommandAck__ARM_AUTH_DENIED_REASON_TIMEOUT = 3U;

            const ::DDS::UShort VehicleCommandAck__ARM_AUTH_DENIED_REASON_AIRSPACE_IN_USE = 4U;

            const ::DDS::UShort VehicleCommandAck__ARM_AUTH_DENIED_REASON_BAD_WEATHER = 5U;

            const ::DDS::Octet VehicleCommandAck__ORB_QUEUE_LENGTH = 3;

            struct  VehicleCommandAck_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::UShort command_;
                ::DDS::Octet result_;
                ::DDS::Boolean from_external_;
                ::DDS::Octet result_param1_;
                ::DDS::Long result_param2_;
                ::DDS::Octet target_system_;
                ::DDS::Octet target_component_;
            };

            typedef DDS_DCPSStruct_var<VehicleCommandAck_> VehicleCommandAck__var;
            typedef VehicleCommandAck_& VehicleCommandAck__out;

        }

    }

}

#endif /* _H_5CC2C932B97EC5F052ADB2732ABDBE56_VehicleCommandAck__H_ */
