#ifndef _H_489173F6C4901BD6BEE1DB223777C1AC_VehicleCommand__H_
#define _H_489173F6C4901BD6BEE1DB223777C1AC_VehicleCommand__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CUSTOM_0 = 0U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CUSTOM_1 = 1U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CUSTOM_2 = 2U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_WAYPOINT = 16U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_LOITER_UNLIM = 17U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_LOITER_TURNS = 18U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_LOITER_TIME = 19U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_RETURN_TO_LAUNCH = 20U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_LAND = 21U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_TAKEOFF = 22U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_PRECLAND = 23U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_ORBIT = 34U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_ROI = 80U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_PATHPLANNING = 81U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_VTOL_TAKEOFF = 84U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_VTOL_LAND = 85U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_GUIDED_LIMITS = 90U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_GUIDED_MASTER = 91U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_GUIDED_ENABLE = 92U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_DELAY = 93U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_NAV_LAST = 95U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CONDITION_DELAY = 112U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CONDITION_CHANGE_ALT = 113U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CONDITION_DISTANCE = 114U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CONDITION_YAW = 115U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CONDITION_LAST = 159U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_MODE = 176U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_JUMP = 177U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_CHANGE_SPEED = 178U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_HOME = 179U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_PARAMETER = 180U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_RELAY = 181U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_REPEAT_RELAY = 182U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_SERVO = 183U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_REPEAT_SERVO = 184U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_FLIGHTTERMINATION = 185U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_LAND_START = 189U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_GO_AROUND = 191U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_REPOSITION = 192U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_PAUSE_CONTINUE = 193U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_ROI_LOCATION = 195U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_ROI_WPNEXT_OFFSET = 196U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_ROI_NONE = 197U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_CONTROL_VIDEO = 200U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_ROI = 201U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_DIGICAM_CONTROL = 203U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_MOUNT_CONFIGURE = 204U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_MOUNT_CONTROL = 205U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_CAM_TRIGG_DIST = 206U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_FENCE_ENABLE = 207U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_PARACHUTE = 208U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_MOTOR_TEST = 209U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_INVERTED_FLIGHT = 210U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_SET_CAM_TRIGG_INTERVAL = 214U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_MOUNT_CONTROL_QUAT = 220U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_GUIDED_MASTER = 221U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_GUIDED_LIMITS = 222U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_LAST = 240U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_PREFLIGHT_CALIBRATION = 241U;

            const ::DDS::UShort VehicleCommand__PREFLIGHT_CALIBRATION_TEMPERATURE_CALIBRATION = 3U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_PREFLIGHT_SET_SENSOR_OFFSETS = 242U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_PREFLIGHT_STORAGE = 245U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_PREFLIGHT_REBOOT_SHUTDOWN = 246U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_MISSION_START = 300U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_COMPONENT_ARM_DISARM = 400U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_START_RX_PAIR = 500U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_SET_CAMERA_MODE = 530U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_TRIGGER_CONTROL = 2003U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_DO_VTOL_TRANSITION = 3000U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_ARM_AUTHORIZATION_REQUEST = 3001U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_PAYLOAD_PREPARE_DEPLOY = 30001U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_PAYLOAD_CONTROL_DEPLOY = 30002U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_PREFLIGHT_UAVCAN = 243U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_LOGGING_START = 2510U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_LOGGING_STOP = 2511U;

            const ::DDS::UShort VehicleCommand__VEHICLE_CMD_CONTROL_HIGH_LATENCY = 2600U;

            const ::DDS::Octet VehicleCommand__VEHICLE_CMD_RESULT_ACCEPTED = 0;

            const ::DDS::Octet VehicleCommand__VEHICLE_CMD_RESULT_TEMPORARILY_REJECTED = 1;

            const ::DDS::Octet VehicleCommand__VEHICLE_CMD_RESULT_DENIED = 2;

            const ::DDS::Octet VehicleCommand__VEHICLE_CMD_RESULT_UNSUPPORTED = 3;

            const ::DDS::Octet VehicleCommand__VEHICLE_CMD_RESULT_FAILED = 4;

            const ::DDS::Octet VehicleCommand__VEHICLE_CMD_RESULT_IN_PROGRESS = 5;

            const ::DDS::Octet VehicleCommand__VEHICLE_CMD_RESULT_ENUM_END = 6;

            const ::DDS::Octet VehicleCommand__VEHICLE_MOUNT_MODE_RETRACT = 0;

            const ::DDS::Octet VehicleCommand__VEHICLE_MOUNT_MODE_NEUTRAL = 1;

            const ::DDS::Octet VehicleCommand__VEHICLE_MOUNT_MODE_MAVLINK_TARGETING = 2;

            const ::DDS::Octet VehicleCommand__VEHICLE_MOUNT_MODE_RC_TARGETING = 3;

            const ::DDS::Octet VehicleCommand__VEHICLE_MOUNT_MODE_GPS_POINT = 4;

            const ::DDS::Octet VehicleCommand__VEHICLE_MOUNT_MODE_ENUM_END = 5;

            const ::DDS::Octet VehicleCommand__VEHICLE_ROI_NONE = 0;

            const ::DDS::Octet VehicleCommand__VEHICLE_ROI_WPNEXT = 1;

            const ::DDS::Octet VehicleCommand__VEHICLE_ROI_WPINDEX = 2;

            const ::DDS::Octet VehicleCommand__VEHICLE_ROI_LOCATION = 3;

            const ::DDS::Octet VehicleCommand__VEHICLE_ROI_TARGET = 4;

            const ::DDS::Octet VehicleCommand__VEHICLE_ROI_ENUM_END = 5;

            const ::DDS::Octet VehicleCommand__ORB_QUEUE_LENGTH = 3;

            struct  VehicleCommand_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Float param1_;
                ::DDS::Float param2_;
                ::DDS::Float param3_;
                ::DDS::Float param4_;
                ::DDS::Double param5_;
                ::DDS::Double param6_;
                ::DDS::Float param7_;
                ::DDS::UShort command_;
                ::DDS::Octet target_system_;
                ::DDS::Octet target_component_;
                ::DDS::Octet source_system_;
                ::DDS::Octet source_component_;
                ::DDS::Octet confirmation_;
                ::DDS::Boolean from_external_;
            };

            typedef DDS_DCPSStruct_var<VehicleCommand_> VehicleCommand__var;
            typedef VehicleCommand_& VehicleCommand__out;

        }

    }

}

#endif /* _H_489173F6C4901BD6BEE1DB223777C1AC_VehicleCommand__H_ */
