#ifndef _H_D72A950BDD57393C5B1C6BD9B2DB4F5F_VehicleGlobalPosition__H_
#define _H_D72A950BDD57393C5B1C6BD9B2DB4F5F_VehicleGlobalPosition__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  VehicleGlobalPosition_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Double lat_;
                ::DDS::Double lon_;
                ::DDS::Float alt_;
                ::DDS::Float alt_ellipsoid_;
                ::DDS::Float delta_alt_;
                ::DDS::Octet lat_lon_reset_counter_;
                ::DDS::Octet alt_reset_counter_;
                ::DDS::Float vel_n_;
                ::DDS::Float vel_e_;
                ::DDS::Float vel_d_;
                ::DDS::Float yaw_;
                ::DDS::Float eph_;
                ::DDS::Float epv_;
                ::DDS::Float terrain_alt_;
                ::DDS::Boolean terrain_alt_valid_;
                ::DDS::Boolean dead_reckoning_;
            };

            typedef DDS_DCPSStruct_var<VehicleGlobalPosition_> VehicleGlobalPosition__var;
            typedef VehicleGlobalPosition_& VehicleGlobalPosition__out;

        }

    }

}

#endif /* _H_D72A950BDD57393C5B1C6BD9B2DB4F5F_VehicleGlobalPosition__H_ */
