#ifndef _H_5443747CAE026C01F78B9AA2241BD8FB_VehicleLocalPositionGroundtruth__H_
#define _H_5443747CAE026C01F78B9AA2241BD8FB_VehicleLocalPositionGroundtruth__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_uniq_{};
            typedef ::DDS::Float px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice;
            typedef ::DDS::Float px4_msgs__VehicleLocalPositionGroundtruth__float_array_2[2];
            typedef DDS_DCPS_FArray_var< px4_msgs__VehicleLocalPositionGroundtruth__float_array_2, px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice, struct px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_uniq_ > px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_var;
            typedef px4_msgs__VehicleLocalPositionGroundtruth__float_array_2 px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__VehicleLocalPositionGroundtruth__float_array_2, px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice, struct px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_uniq_ > px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_forany;
            extern px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice *px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_alloc();
            extern void px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_free(px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice *);
            extern void px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_copy(px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice *to, const px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice *from);
            extern px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice *px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_dup(const px4_msgs__VehicleLocalPositionGroundtruth__float_array_2_slice *from);

            struct  VehicleLocalPositionGroundtruth_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Boolean xy_valid_;
                ::DDS::Boolean z_valid_;
                ::DDS::Boolean v_xy_valid_;
                ::DDS::Boolean v_z_valid_;
                ::DDS::Float x_;
                ::DDS::Float y_;
                ::DDS::Float z_;
                ::px4_msgs::msg::dds_::px4_msgs__VehicleLocalPositionGroundtruth__float_array_2 delta_xy_;
                ::DDS::Octet xy_reset_counter_;
                ::DDS::Float delta_z_;
                ::DDS::Octet z_reset_counter_;
                ::DDS::Float vx_;
                ::DDS::Float vy_;
                ::DDS::Float vz_;
                ::DDS::Float z_deriv_;
                ::px4_msgs::msg::dds_::px4_msgs__VehicleLocalPositionGroundtruth__float_array_2 delta_vxy_;
                ::DDS::Octet vxy_reset_counter_;
                ::DDS::Float delta_vz_;
                ::DDS::Octet vz_reset_counter_;
                ::DDS::Float ax_;
                ::DDS::Float ay_;
                ::DDS::Float az_;
                ::DDS::Float yaw_;
                ::DDS::Boolean xy_global_;
                ::DDS::Boolean z_global_;
                ::DDS::ULongLong ref_timestamp_;
                ::DDS::Double ref_lat_;
                ::DDS::Double ref_lon_;
                ::DDS::Float ref_alt_;
                ::DDS::Float dist_bottom_;
                ::DDS::Float dist_bottom_rate_;
                ::DDS::Boolean dist_bottom_valid_;
                ::DDS::Float eph_;
                ::DDS::Float epv_;
                ::DDS::Float evh_;
                ::DDS::Float evv_;
                ::DDS::Float vxy_max_;
                ::DDS::Float vz_max_;
                ::DDS::Float hagl_min_;
                ::DDS::Float hagl_max_;
            };

            typedef DDS_DCPSStruct_var<VehicleLocalPositionGroundtruth_> VehicleLocalPositionGroundtruth__var;
            typedef VehicleLocalPositionGroundtruth_& VehicleLocalPositionGroundtruth__out;

        }

    }

}

#endif /* _H_5443747CAE026C01F78B9AA2241BD8FB_VehicleLocalPositionGroundtruth__H_ */
