#ifndef _H_9F0CF43F4891B9FF1BAC64520AFF2074_VehicleRoi__H_
#define _H_9F0CF43F4891B9FF1BAC64520AFF2074_VehicleRoi__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet VehicleRoi__ROI_NONE = 0;

            const ::DDS::Octet VehicleRoi__ROI_WPNEXT = 1;

            const ::DDS::Octet VehicleRoi__ROI_WPINDEX = 2;

            const ::DDS::Octet VehicleRoi__ROI_LOCATION = 3;

            const ::DDS::Octet VehicleRoi__ROI_TARGET = 4;

            const ::DDS::Octet VehicleRoi__ROI_ENUM_END = 5;

            struct  VehicleRoi_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Octet mode_;
                ::DDS::Double lat_;
                ::DDS::Double lon_;
                ::DDS::Float alt_;
                ::DDS::Float roll_offset_;
                ::DDS::Float pitch_offset_;
                ::DDS::Float yaw_offset_;
            };

            typedef DDS_DCPSStruct_var<VehicleRoi_> VehicleRoi__var;
            typedef VehicleRoi_& VehicleRoi__out;

        }

    }

}

#endif /* _H_9F0CF43F4891B9FF1BAC64520AFF2074_VehicleRoi__H_ */
