#ifndef _H_606C86C29BA0940F4B36EA8C91F4727B_VehicleVisualOdometryAligned__H_
#define _H_606C86C29BA0940F4B36EA8C91F4727B_VehicleVisualOdometryAligned__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_X_VARIANCE = 0;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_Y_VARIANCE = 6;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_Z_VARIANCE = 11;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_ROLL_VARIANCE = 15;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_PITCH_VARIANCE = 18;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_YAW_VARIANCE = 20;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_VX_VARIANCE = 0;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_VY_VARIANCE = 6;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_VZ_VARIANCE = 11;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_ROLLRATE_VARIANCE = 15;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_PITCHRATE_VARIANCE = 18;

            const ::DDS::Octet VehicleVisualOdometryAligned__COVARIANCE_MATRIX_YAWRATE_VARIANCE = 20;

            const ::DDS::Octet VehicleVisualOdometryAligned__LOCAL_FRAME_NED = 0;

            const ::DDS::Octet VehicleVisualOdometryAligned__LOCAL_FRAME_ENU = 1;

            const ::DDS::Octet VehicleVisualOdometryAligned__LOCAL_FRAME_OTHER = 2;

            struct px4_msgs__VehicleVisualOdometryAligned__float_array_4_uniq_{};
            typedef ::DDS::Float px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice;
            typedef ::DDS::Float px4_msgs__VehicleVisualOdometryAligned__float_array_4[4];
            typedef DDS_DCPS_FArray_var< px4_msgs__VehicleVisualOdometryAligned__float_array_4, px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice, struct px4_msgs__VehicleVisualOdometryAligned__float_array_4_uniq_ > px4_msgs__VehicleVisualOdometryAligned__float_array_4_var;
            typedef px4_msgs__VehicleVisualOdometryAligned__float_array_4 px4_msgs__VehicleVisualOdometryAligned__float_array_4_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__VehicleVisualOdometryAligned__float_array_4, px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice, struct px4_msgs__VehicleVisualOdometryAligned__float_array_4_uniq_ > px4_msgs__VehicleVisualOdometryAligned__float_array_4_forany;
            extern px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice *px4_msgs__VehicleVisualOdometryAligned__float_array_4_alloc();
            extern void px4_msgs__VehicleVisualOdometryAligned__float_array_4_free(px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice *);
            extern void px4_msgs__VehicleVisualOdometryAligned__float_array_4_copy(px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice *to, const px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice *from);
            extern px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice *px4_msgs__VehicleVisualOdometryAligned__float_array_4_dup(const px4_msgs__VehicleVisualOdometryAligned__float_array_4_slice *from);

            struct px4_msgs__VehicleVisualOdometryAligned__float_array_21_uniq_{};
            typedef ::DDS::Float px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice;
            typedef ::DDS::Float px4_msgs__VehicleVisualOdometryAligned__float_array_21[21];
            typedef DDS_DCPS_FArray_var< px4_msgs__VehicleVisualOdometryAligned__float_array_21, px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice, struct px4_msgs__VehicleVisualOdometryAligned__float_array_21_uniq_ > px4_msgs__VehicleVisualOdometryAligned__float_array_21_var;
            typedef px4_msgs__VehicleVisualOdometryAligned__float_array_21 px4_msgs__VehicleVisualOdometryAligned__float_array_21_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__VehicleVisualOdometryAligned__float_array_21, px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice, struct px4_msgs__VehicleVisualOdometryAligned__float_array_21_uniq_ > px4_msgs__VehicleVisualOdometryAligned__float_array_21_forany;
            extern px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice *px4_msgs__VehicleVisualOdometryAligned__float_array_21_alloc();
            extern void px4_msgs__VehicleVisualOdometryAligned__float_array_21_free(px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice *);
            extern void px4_msgs__VehicleVisualOdometryAligned__float_array_21_copy(px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice *to, const px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice *from);
            extern px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice *px4_msgs__VehicleVisualOdometryAligned__float_array_21_dup(const px4_msgs__VehicleVisualOdometryAligned__float_array_21_slice *from);

            struct  VehicleVisualOdometryAligned_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Octet local_frame_;
                ::DDS::Float x_;
                ::DDS::Float y_;
                ::DDS::Float z_;
                ::px4_msgs::msg::dds_::px4_msgs__VehicleVisualOdometryAligned__float_array_4 q_;
                ::px4_msgs::msg::dds_::px4_msgs__VehicleVisualOdometryAligned__float_array_4 q_offset_;
                ::px4_msgs::msg::dds_::px4_msgs__VehicleVisualOdometryAligned__float_array_21 pose_covariance_;
                ::DDS::Float vx_;
                ::DDS::Float vy_;
                ::DDS::Float vz_;
                ::DDS::Float rollspeed_;
                ::DDS::Float pitchspeed_;
                ::DDS::Float yawspeed_;
                ::px4_msgs::msg::dds_::px4_msgs__VehicleVisualOdometryAligned__float_array_21 velocity_covariance_;
            };

            typedef DDS_DCPSStruct_var<VehicleVisualOdometryAligned_> VehicleVisualOdometryAligned__var;
            typedef VehicleVisualOdometryAligned_& VehicleVisualOdometryAligned__out;

        }

    }

}

#endif /* _H_606C86C29BA0940F4B36EA8C91F4727B_VehicleVisualOdometryAligned__H_ */
