#ifndef _H_627171F88CA768850BB1127424BF083F_VtolVehicleStatus__H_
#define _H_627171F88CA768850BB1127424BF083F_VtolVehicleStatus__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet VtolVehicleStatus__VEHICLE_VTOL_STATE_UNDEFINED = 0;

            const ::DDS::Octet VtolVehicleStatus__VEHICLE_VTOL_STATE_TRANSITION_TO_FW = 1;

            const ::DDS::Octet VtolVehicleStatus__VEHICLE_VTOL_STATE_TRANSITION_TO_MC = 2;

            const ::DDS::Octet VtolVehicleStatus__VEHICLE_VTOL_STATE_MC = 3;

            const ::DDS::Octet VtolVehicleStatus__VEHICLE_VTOL_STATE_FW = 4;

            struct  VtolVehicleStatus_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Boolean vtol_in_rw_mode_;
                ::DDS::Boolean vtol_in_trans_mode_;
                ::DDS::Boolean in_transition_to_fw_;
                ::DDS::Boolean vtol_transition_failsafe_;
                ::DDS::Boolean fw_permanent_stab_;
            };

            typedef DDS_DCPSStruct_var<VtolVehicleStatus_> VtolVehicleStatus__var;
            typedef VtolVehicleStatus_& VtolVehicleStatus__out;

        }

    }

}

#endif /* _H_627171F88CA768850BB1127424BF083F_VtolVehicleStatus__H_ */
