// generated from rosidl_generator_c/resource/msg__struct.h.em
// generated code does not contain a copyright notice

#ifndef PX4_MSGS__MSG__ESTIMATOR_STATUS__STRUCT_H_
#define PX4_MSGS__MSG__ESTIMATOR_STATUS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// constants defined in the message
// GPS_CHECK_FAIL_GPS_FIX
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_GPS_FIX = 0u
};
// GPS_CHECK_FAIL_MIN_SAT_COUNT
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MIN_SAT_COUNT = 1u
};
// GPS_CHECK_FAIL_MIN_GDOP
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MIN_GDOP = 2u
};
// GPS_CHECK_FAIL_MAX_HORZ_ERR
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MAX_HORZ_ERR = 3u
};
// GPS_CHECK_FAIL_MAX_VERT_ERR
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MAX_VERT_ERR = 4u
};
// GPS_CHECK_FAIL_MAX_SPD_ERR
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MAX_SPD_ERR = 5u
};
// GPS_CHECK_FAIL_MAX_HORZ_DRIFT
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MAX_HORZ_DRIFT = 6u
};
// GPS_CHECK_FAIL_MAX_VERT_DRIFT
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MAX_VERT_DRIFT = 7u
};
// GPS_CHECK_FAIL_MAX_HORZ_SPD_ERR
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MAX_HORZ_SPD_ERR = 8u
};
// GPS_CHECK_FAIL_MAX_VERT_SPD_ERR
enum
{
  px4_msgs__msg__EstimatorStatus__GPS_CHECK_FAIL_MAX_VERT_SPD_ERR = 9u
};
// CS_TILT_ALIGN
enum
{
  px4_msgs__msg__EstimatorStatus__CS_TILT_ALIGN = 0u
};
// CS_YAW_ALIGN
enum
{
  px4_msgs__msg__EstimatorStatus__CS_YAW_ALIGN = 1u
};
// CS_GPS
enum
{
  px4_msgs__msg__EstimatorStatus__CS_GPS = 2u
};
// CS_OPT_FLOW
enum
{
  px4_msgs__msg__EstimatorStatus__CS_OPT_FLOW = 3u
};
// CS_MAG_HDG
enum
{
  px4_msgs__msg__EstimatorStatus__CS_MAG_HDG = 4u
};
// CS_MAG_3D
enum
{
  px4_msgs__msg__EstimatorStatus__CS_MAG_3D = 5u
};
// CS_MAG_DEC
enum
{
  px4_msgs__msg__EstimatorStatus__CS_MAG_DEC = 6u
};
// CS_IN_AIR
enum
{
  px4_msgs__msg__EstimatorStatus__CS_IN_AIR = 7u
};
// CS_WIND
enum
{
  px4_msgs__msg__EstimatorStatus__CS_WIND = 8u
};
// CS_BARO_HGT
enum
{
  px4_msgs__msg__EstimatorStatus__CS_BARO_HGT = 9u
};
// CS_RNG_HGT
enum
{
  px4_msgs__msg__EstimatorStatus__CS_RNG_HGT = 10u
};
// CS_GPS_HGT
enum
{
  px4_msgs__msg__EstimatorStatus__CS_GPS_HGT = 11u
};
// CS_EV_POS
enum
{
  px4_msgs__msg__EstimatorStatus__CS_EV_POS = 12u
};
// CS_EV_YAW
enum
{
  px4_msgs__msg__EstimatorStatus__CS_EV_YAW = 13u
};
// CS_EV_HGT
enum
{
  px4_msgs__msg__EstimatorStatus__CS_EV_HGT = 14u
};
// CS_BETA
enum
{
  px4_msgs__msg__EstimatorStatus__CS_BETA = 15u
};
// CS_MAG_FIELD
enum
{
  px4_msgs__msg__EstimatorStatus__CS_MAG_FIELD = 16u
};
// CS_FIXED_WING
enum
{
  px4_msgs__msg__EstimatorStatus__CS_FIXED_WING = 17u
};
// CS_MAG_FAULT
enum
{
  px4_msgs__msg__EstimatorStatus__CS_MAG_FAULT = 18u
};
// CS_ASPD
enum
{
  px4_msgs__msg__EstimatorStatus__CS_ASPD = 19u
};
// CS_GND_EFFECT
enum
{
  px4_msgs__msg__EstimatorStatus__CS_GND_EFFECT = 20u
};
// CS_RNG_STUCK
enum
{
  px4_msgs__msg__EstimatorStatus__CS_RNG_STUCK = 21u
};
// CS_GPS_YAW
enum
{
  px4_msgs__msg__EstimatorStatus__CS_GPS_YAW = 22u
};
// CS_MAG_ALIGNED
enum
{
  px4_msgs__msg__EstimatorStatus__CS_MAG_ALIGNED = 23u
};

/// Struct of message px4_msgs/EstimatorStatus
typedef struct px4_msgs__msg__EstimatorStatus
{
  uint64_t timestamp;
  float states[24];
  uint8_t n_states;
  float vibe[3];
  float covariances[24];
  uint16_t gps_check_fail_flags;
  uint32_t control_mode_flags;
  uint16_t filter_fault_flags;
  float pos_horiz_accuracy;
  float pos_vert_accuracy;
  uint16_t innovation_check_flags;
  float mag_test_ratio;
  float vel_test_ratio;
  float pos_test_ratio;
  float hgt_test_ratio;
  float tas_test_ratio;
  float hagl_test_ratio;
  float beta_test_ratio;
  uint16_t solution_status_flags;
  float time_slip;
  bool pre_flt_fail_innov_heading;
  bool pre_flt_fail_innov_vel_horiz;
  bool pre_flt_fail_innov_vel_vert;
  bool pre_flt_fail_innov_height;
  uint8_t health_flags;
  uint8_t timeout_flags;
} px4_msgs__msg__EstimatorStatus;

/// Struct for an array of messages
typedef struct px4_msgs__msg__EstimatorStatus__Sequence
{
  px4_msgs__msg__EstimatorStatus * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} px4_msgs__msg__EstimatorStatus__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // PX4_MSGS__MSG__ESTIMATOR_STATUS__STRUCT_H_
