#ifndef _H_134F0108D9FF208C300A70E690D58010_ActuatorControlsVirtualFw__H_
#define _H_134F0108D9FF208C300A70E690D58010_ActuatorControlsVirtualFw__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet ActuatorControlsVirtualFw__NUM_ACTUATOR_CONTROLS = 8;

            const ::DDS::Octet ActuatorControlsVirtualFw__NUM_ACTUATOR_CONTROL_GROUPS = 4;

            const ::DDS::Octet ActuatorControlsVirtualFw__INDEX_ROLL = 0;

            const ::DDS::Octet ActuatorControlsVirtualFw__INDEX_PITCH = 1;

            const ::DDS::Octet ActuatorControlsVirtualFw__INDEX_YAW = 2;

            const ::DDS::Octet ActuatorControlsVirtualFw__INDEX_THROTTLE = 3;

            const ::DDS::Octet ActuatorControlsVirtualFw__INDEX_FLAPS = 4;

            const ::DDS::Octet ActuatorControlsVirtualFw__INDEX_SPOILERS = 5;

            const ::DDS::Octet ActuatorControlsVirtualFw__INDEX_AIRBRAKES = 6;

            const ::DDS::Octet ActuatorControlsVirtualFw__INDEX_LANDING_GEAR = 7;

            const ::DDS::Octet ActuatorControlsVirtualFw__GROUP_INDEX_ATTITUDE = 0;

            const ::DDS::Octet ActuatorControlsVirtualFw__GROUP_INDEX_ATTITUDE_ALTERNATE = 1;

            struct px4_msgs__ActuatorControlsVirtualFw__float_array_8_uniq_{};
            typedef ::DDS::Float px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice;
            typedef ::DDS::Float px4_msgs__ActuatorControlsVirtualFw__float_array_8[8];
            typedef DDS_DCPS_FArray_var< px4_msgs__ActuatorControlsVirtualFw__float_array_8, px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice, struct px4_msgs__ActuatorControlsVirtualFw__float_array_8_uniq_ > px4_msgs__ActuatorControlsVirtualFw__float_array_8_var;
            typedef px4_msgs__ActuatorControlsVirtualFw__float_array_8 px4_msgs__ActuatorControlsVirtualFw__float_array_8_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__ActuatorControlsVirtualFw__float_array_8, px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice, struct px4_msgs__ActuatorControlsVirtualFw__float_array_8_uniq_ > px4_msgs__ActuatorControlsVirtualFw__float_array_8_forany;
            extern px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice *px4_msgs__ActuatorControlsVirtualFw__float_array_8_alloc();
            extern void px4_msgs__ActuatorControlsVirtualFw__float_array_8_free(px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice *);
            extern void px4_msgs__ActuatorControlsVirtualFw__float_array_8_copy(px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice *to, const px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice *from);
            extern px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice *px4_msgs__ActuatorControlsVirtualFw__float_array_8_dup(const px4_msgs__ActuatorControlsVirtualFw__float_array_8_slice *from);

            struct  ActuatorControlsVirtualFw_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::ULongLong timestamp_sample_;
                ::px4_msgs::msg::dds_::px4_msgs__ActuatorControlsVirtualFw__float_array_8 control_;
            };

            typedef DDS_DCPSStruct_var<ActuatorControlsVirtualFw_> ActuatorControlsVirtualFw__var;
            typedef ActuatorControlsVirtualFw_& ActuatorControlsVirtualFw__out;

        }

    }

}

#endif /* _H_134F0108D9FF208C300A70E690D58010_ActuatorControlsVirtualFw__H_ */
