#ifndef _H_FD685C5BBE7F219E9427FFDC25CEFE7C_ActuatorOutputs__H_
#define _H_FD685C5BBE7F219E9427FFDC25CEFE7C_ActuatorOutputs__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet ActuatorOutputs__NUM_ACTUATOR_OUTPUTS = 16;

            const ::DDS::Octet ActuatorOutputs__NUM_ACTUATOR_OUTPUT_GROUPS = 4;

            struct px4_msgs__ActuatorOutputs__float_array_16_uniq_{};
            typedef ::DDS::Float px4_msgs__ActuatorOutputs__float_array_16_slice;
            typedef ::DDS::Float px4_msgs__ActuatorOutputs__float_array_16[16];
            typedef DDS_DCPS_FArray_var< px4_msgs__ActuatorOutputs__float_array_16, px4_msgs__ActuatorOutputs__float_array_16_slice, struct px4_msgs__ActuatorOutputs__float_array_16_uniq_ > px4_msgs__ActuatorOutputs__float_array_16_var;
            typedef px4_msgs__ActuatorOutputs__float_array_16 px4_msgs__ActuatorOutputs__float_array_16_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__ActuatorOutputs__float_array_16, px4_msgs__ActuatorOutputs__float_array_16_slice, struct px4_msgs__ActuatorOutputs__float_array_16_uniq_ > px4_msgs__ActuatorOutputs__float_array_16_forany;
            extern px4_msgs__ActuatorOutputs__float_array_16_slice *px4_msgs__ActuatorOutputs__float_array_16_alloc();
            extern void px4_msgs__ActuatorOutputs__float_array_16_free(px4_msgs__ActuatorOutputs__float_array_16_slice *);
            extern void px4_msgs__ActuatorOutputs__float_array_16_copy(px4_msgs__ActuatorOutputs__float_array_16_slice *to, const px4_msgs__ActuatorOutputs__float_array_16_slice *from);
            extern px4_msgs__ActuatorOutputs__float_array_16_slice *px4_msgs__ActuatorOutputs__float_array_16_dup(const px4_msgs__ActuatorOutputs__float_array_16_slice *from);

            struct  ActuatorOutputs_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::ULong noutputs_;
                ::px4_msgs::msg::dds_::px4_msgs__ActuatorOutputs__float_array_16 output_;
            };

            typedef DDS_DCPSStruct_var<ActuatorOutputs_> ActuatorOutputs__var;
            typedef ActuatorOutputs_& ActuatorOutputs__out;

        }

    }

}

#endif /* _H_FD685C5BBE7F219E9427FFDC25CEFE7C_ActuatorOutputs__H_ */
