#ifndef _H_A3719E21DFEE6E9C645E134FFFCD4F10_BatteryStatus__H_
#define _H_A3719E21DFEE6E9C645E134FFFCD4F10_BatteryStatus__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet BatteryStatus__BATTERY_WARNING_NONE = 0;

            const ::DDS::Octet BatteryStatus__BATTERY_WARNING_LOW = 1;

            const ::DDS::Octet BatteryStatus__BATTERY_WARNING_CRITICAL = 2;

            const ::DDS::Octet BatteryStatus__BATTERY_WARNING_EMERGENCY = 3;

            const ::DDS::Octet BatteryStatus__BATTERY_WARNING_FAILED = 4;

            struct px4_msgs__BatteryStatus__float_array_4_uniq_{};
            typedef ::DDS::Float px4_msgs__BatteryStatus__float_array_4_slice;
            typedef ::DDS::Float px4_msgs__BatteryStatus__float_array_4[4];
            typedef DDS_DCPS_FArray_var< px4_msgs__BatteryStatus__float_array_4, px4_msgs__BatteryStatus__float_array_4_slice, struct px4_msgs__BatteryStatus__float_array_4_uniq_ > px4_msgs__BatteryStatus__float_array_4_var;
            typedef px4_msgs__BatteryStatus__float_array_4 px4_msgs__BatteryStatus__float_array_4_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__BatteryStatus__float_array_4, px4_msgs__BatteryStatus__float_array_4_slice, struct px4_msgs__BatteryStatus__float_array_4_uniq_ > px4_msgs__BatteryStatus__float_array_4_forany;
            extern px4_msgs__BatteryStatus__float_array_4_slice *px4_msgs__BatteryStatus__float_array_4_alloc();
            extern void px4_msgs__BatteryStatus__float_array_4_free(px4_msgs__BatteryStatus__float_array_4_slice *);
            extern void px4_msgs__BatteryStatus__float_array_4_copy(px4_msgs__BatteryStatus__float_array_4_slice *to, const px4_msgs__BatteryStatus__float_array_4_slice *from);
            extern px4_msgs__BatteryStatus__float_array_4_slice *px4_msgs__BatteryStatus__float_array_4_dup(const px4_msgs__BatteryStatus__float_array_4_slice *from);

            struct  BatteryStatus_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Float voltage_v_;
                ::DDS::Float voltage_filtered_v_;
                ::DDS::Float current_a_;
                ::DDS::Float current_filtered_a_;
                ::DDS::Float average_current_a_;
                ::DDS::Float discharged_mah_;
                ::DDS::Float remaining_;
                ::DDS::Float scale_;
                ::DDS::Float temperature_;
                ::DDS::Long cell_count_;
                ::DDS::Boolean connected_;
                ::DDS::Boolean system_source_;
                ::DDS::Octet priority_;
                ::DDS::UShort capacity_;
                ::DDS::UShort cycle_count_;
                ::DDS::UShort run_time_to_empty_;
                ::DDS::UShort average_time_to_empty_;
                ::DDS::UShort serial_number_;
                ::px4_msgs::msg::dds_::px4_msgs__BatteryStatus__float_array_4 voltage_cell_v_;
                ::DDS::Float max_cell_voltage_delta_;
                ::DDS::Boolean is_powering_off_;
                ::DDS::Octet warning_;
            };

            typedef DDS_DCPSStruct_var<BatteryStatus_> BatteryStatus__var;
            typedef BatteryStatus_& BatteryStatus__out;

        }

    }

}

#endif /* _H_A3719E21DFEE6E9C645E134FFFCD4F10_BatteryStatus__H_ */
