#ifndef _H_67092CEF1A5688FFE6BDBC10984BD5C8_CameraCapture__H_
#define _H_67092CEF1A5688FFE6BDBC10984BD5C8_CameraCapture__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct px4_msgs__CameraCapture__float_array_4_uniq_{};
            typedef ::DDS::Float px4_msgs__CameraCapture__float_array_4_slice;
            typedef ::DDS::Float px4_msgs__CameraCapture__float_array_4[4];
            typedef DDS_DCPS_FArray_var< px4_msgs__CameraCapture__float_array_4, px4_msgs__CameraCapture__float_array_4_slice, struct px4_msgs__CameraCapture__float_array_4_uniq_ > px4_msgs__CameraCapture__float_array_4_var;
            typedef px4_msgs__CameraCapture__float_array_4 px4_msgs__CameraCapture__float_array_4_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__CameraCapture__float_array_4, px4_msgs__CameraCapture__float_array_4_slice, struct px4_msgs__CameraCapture__float_array_4_uniq_ > px4_msgs__CameraCapture__float_array_4_forany;
            extern px4_msgs__CameraCapture__float_array_4_slice *px4_msgs__CameraCapture__float_array_4_alloc();
            extern void px4_msgs__CameraCapture__float_array_4_free(px4_msgs__CameraCapture__float_array_4_slice *);
            extern void px4_msgs__CameraCapture__float_array_4_copy(px4_msgs__CameraCapture__float_array_4_slice *to, const px4_msgs__CameraCapture__float_array_4_slice *from);
            extern px4_msgs__CameraCapture__float_array_4_slice *px4_msgs__CameraCapture__float_array_4_dup(const px4_msgs__CameraCapture__float_array_4_slice *from);

            struct  CameraCapture_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::ULongLong timestamp_utc_;
                ::DDS::ULong seq_;
                ::DDS::Double lat_;
                ::DDS::Double lon_;
                ::DDS::Float alt_;
                ::DDS::Float ground_distance_;
                ::px4_msgs::msg::dds_::px4_msgs__CameraCapture__float_array_4 q_;
                ::DDS::Octet result_;
            };

            typedef DDS_DCPSStruct_var<CameraCapture_> CameraCapture__var;
            typedef CameraCapture_& CameraCapture__out;

        }

    }

}

#endif /* _H_67092CEF1A5688FFE6BDBC10984BD5C8_CameraCapture__H_ */
