#ifndef _H_0CB35A8CE664CCAB4E89D87EAAC45F58_CommanderState__H_
#define _H_0CB35A8CE664CCAB4E89D87EAAC45F58_CommanderState__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet CommanderState__MAIN_STATE_MANUAL = 0;

            const ::DDS::Octet CommanderState__MAIN_STATE_ALTCTL = 1;

            const ::DDS::Octet CommanderState__MAIN_STATE_POSCTL = 2;

            const ::DDS::Octet CommanderState__MAIN_STATE_AUTO_MISSION = 3;

            const ::DDS::Octet CommanderState__MAIN_STATE_AUTO_LOITER = 4;

            const ::DDS::Octet CommanderState__MAIN_STATE_AUTO_RTL = 5;

            const ::DDS::Octet CommanderState__MAIN_STATE_ACRO = 6;

            const ::DDS::Octet CommanderState__MAIN_STATE_OFFBOARD = 7;

            const ::DDS::Octet CommanderState__MAIN_STATE_STAB = 8;

            const ::DDS::Octet CommanderState__MAIN_STATE_RATTITUDE = 9;

            const ::DDS::Octet CommanderState__MAIN_STATE_AUTO_TAKEOFF = 10;

            const ::DDS::Octet CommanderState__MAIN_STATE_AUTO_LAND = 11;

            const ::DDS::Octet CommanderState__MAIN_STATE_AUTO_FOLLOW_TARGET = 12;

            const ::DDS::Octet CommanderState__MAIN_STATE_AUTO_PRECLAND = 13;

            const ::DDS::Octet CommanderState__MAIN_STATE_ORBIT = 14;

            const ::DDS::Octet CommanderState__MAIN_STATE_MAX = 15;

            struct  CommanderState_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Octet main_state_;
            };

            typedef DDS_DCPSStruct_var<CommanderState_> CommanderState__var;
            typedef CommanderState_& CommanderState__out;

        }

    }

}

#endif /* _H_0CB35A8CE664CCAB4E89D87EAAC45F58_CommanderState__H_ */
