#ifndef _H_FC9C7B443BBBFD672CEC449BA476A10D_DistanceSensor__H_
#define _H_FC9C7B443BBBFD672CEC449BA476A10D_DistanceSensor__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet DistanceSensor__MAV_DISTANCE_SENSOR_LASER = 0;

            const ::DDS::Octet DistanceSensor__MAV_DISTANCE_SENSOR_ULTRASOUND = 1;

            const ::DDS::Octet DistanceSensor__MAV_DISTANCE_SENSOR_INFRARED = 2;

            const ::DDS::Octet DistanceSensor__MAV_DISTANCE_SENSOR_RADAR = 3;

            const ::DDS::Octet DistanceSensor__ROTATION_YAW_0 = 0;

            const ::DDS::Octet DistanceSensor__ROTATION_YAW_45 = 1;

            const ::DDS::Octet DistanceSensor__ROTATION_YAW_90 = 2;

            const ::DDS::Octet DistanceSensor__ROTATION_YAW_135 = 3;

            const ::DDS::Octet DistanceSensor__ROTATION_YAW_180 = 4;

            const ::DDS::Octet DistanceSensor__ROTATION_YAW_225 = 5;

            const ::DDS::Octet DistanceSensor__ROTATION_YAW_270 = 6;

            const ::DDS::Octet DistanceSensor__ROTATION_YAW_315 = 7;

            const ::DDS::Octet DistanceSensor__ROTATION_FORWARD_FACING = 0;

            const ::DDS::Octet DistanceSensor__ROTATION_RIGHT_FACING = 2;

            const ::DDS::Octet DistanceSensor__ROTATION_BACKWARD_FACING = 4;

            const ::DDS::Octet DistanceSensor__ROTATION_LEFT_FACING = 6;

            const ::DDS::Octet DistanceSensor__ROTATION_UPWARD_FACING = 24;

            const ::DDS::Octet DistanceSensor__ROTATION_DOWNWARD_FACING = 25;

            const ::DDS::Octet DistanceSensor__ROTATION_CUSTOM = 100;

            struct px4_msgs__DistanceSensor__float_array_4_uniq_{};
            typedef ::DDS::Float px4_msgs__DistanceSensor__float_array_4_slice;
            typedef ::DDS::Float px4_msgs__DistanceSensor__float_array_4[4];
            typedef DDS_DCPS_FArray_var< px4_msgs__DistanceSensor__float_array_4, px4_msgs__DistanceSensor__float_array_4_slice, struct px4_msgs__DistanceSensor__float_array_4_uniq_ > px4_msgs__DistanceSensor__float_array_4_var;
            typedef px4_msgs__DistanceSensor__float_array_4 px4_msgs__DistanceSensor__float_array_4_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__DistanceSensor__float_array_4, px4_msgs__DistanceSensor__float_array_4_slice, struct px4_msgs__DistanceSensor__float_array_4_uniq_ > px4_msgs__DistanceSensor__float_array_4_forany;
            extern px4_msgs__DistanceSensor__float_array_4_slice *px4_msgs__DistanceSensor__float_array_4_alloc();
            extern void px4_msgs__DistanceSensor__float_array_4_free(px4_msgs__DistanceSensor__float_array_4_slice *);
            extern void px4_msgs__DistanceSensor__float_array_4_copy(px4_msgs__DistanceSensor__float_array_4_slice *to, const px4_msgs__DistanceSensor__float_array_4_slice *from);
            extern px4_msgs__DistanceSensor__float_array_4_slice *px4_msgs__DistanceSensor__float_array_4_dup(const px4_msgs__DistanceSensor__float_array_4_slice *from);

            struct  DistanceSensor_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Float min_distance_;
                ::DDS::Float max_distance_;
                ::DDS::Float current_distance_;
                ::DDS::Float variance_;
                ::DDS::Octet signal_quality_;
                ::DDS::Octet type_;
                ::DDS::Octet id_;
                ::DDS::Float h_fov_;
                ::DDS::Float v_fov_;
                ::px4_msgs::msg::dds_::px4_msgs__DistanceSensor__float_array_4 q_;
                ::DDS::Octet orientation_;
            };

            typedef DDS_DCPSStruct_var<DistanceSensor_> DistanceSensor__var;
            typedef DistanceSensor_& DistanceSensor__out;

        }

    }

}

#endif /* _H_FC9C7B443BBBFD672CEC449BA476A10D_DistanceSensor__H_ */
