#ifndef _H_7C6895EA176B5B99F50DC1497C55C0AC_Ekf2Timestamps__H_
#define _H_7C6895EA176B5B99F50DC1497C55C0AC_Ekf2Timestamps__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Short Ekf2Timestamps__RELATIVE_TIMESTAMP_INVALID = 32767;

            struct  Ekf2Timestamps_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Short airspeed_timestamp_rel_;
                ::DDS::Short distance_sensor_timestamp_rel_;
                ::DDS::Short gps_timestamp_rel_;
                ::DDS::Short optical_flow_timestamp_rel_;
                ::DDS::Short vehicle_air_data_timestamp_rel_;
                ::DDS::Short vehicle_magnetometer_timestamp_rel_;
                ::DDS::Short visual_odometry_timestamp_rel_;
            };

            typedef DDS_DCPSStruct_var<Ekf2Timestamps_> Ekf2Timestamps__var;
            typedef Ekf2Timestamps_& Ekf2Timestamps__out;

        }

    }

}

#endif /* _H_7C6895EA176B5B99F50DC1497C55C0AC_Ekf2Timestamps__H_ */
