#ifndef _H_C11D442ED91E698FF3AED70DE6722003_EkfGpsPosition__H_
#define _H_C11D442ED91E698FF3AED70DE6722003_EkfGpsPosition__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  EkfGpsPosition_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Long lat_;
                ::DDS::Long lon_;
                ::DDS::Long alt_;
                ::DDS::Long alt_ellipsoid_;
                ::DDS::Float s_variance_m_s_;
                ::DDS::Octet fix_type_;
                ::DDS::Float eph_;
                ::DDS::Float epv_;
                ::DDS::Float vel_m_s_;
                ::DDS::Float vel_n_m_s_;
                ::DDS::Float vel_e_m_s_;
                ::DDS::Float vel_d_m_s_;
                ::DDS::Boolean vel_ned_valid_;
                ::DDS::Octet satellites_used_;
                ::DDS::Float heading_;
                ::DDS::Float heading_offset_;
                ::DDS::Octet selected_;
            };

            typedef DDS_DCPSStruct_var<EkfGpsPosition_> EkfGpsPosition__var;
            typedef EkfGpsPosition_& EkfGpsPosition__out;

        }

    }

}

#endif /* _H_C11D442ED91E698FF3AED70DE6722003_EkfGpsPosition__H_ */
