#ifndef _H_1067B649EA686E2D475275449E97145B_EscReport__H_
#define _H_1067B649EA686E2D475275449E97145B_EscReport__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            struct  EscReport_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::ULong esc_errorcount_;
                ::DDS::Long esc_rpm_;
                ::DDS::Float esc_voltage_;
                ::DDS::Float esc_current_;
                ::DDS::Octet esc_temperature_;
                ::DDS::Float esc_setpoint_;
                ::DDS::UShort esc_setpoint_raw_;
                ::DDS::UShort esc_address_;
                ::DDS::Octet esc_state_;
            };

            typedef DDS_DCPSStruct_var<EscReport_> EscReport__var;
            typedef EscReport_& EscReport__out;

        }

    }

}

#endif /* _H_1067B649EA686E2D475275449E97145B_EscReport__H_ */
