#ifndef _H_1E13F2CC6D3D4400C099D9BDF08CC5D3_EstimatorStatus__H_
#define _H_1E13F2CC6D3D4400C099D9BDF08CC5D3_EstimatorStatus__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_GPS_FIX = 0;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MIN_SAT_COUNT = 1;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MIN_GDOP = 2;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MAX_HORZ_ERR = 3;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MAX_VERT_ERR = 4;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MAX_SPD_ERR = 5;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MAX_HORZ_DRIFT = 6;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MAX_VERT_DRIFT = 7;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MAX_HORZ_SPD_ERR = 8;

            const ::DDS::Octet EstimatorStatus__GPS_CHECK_FAIL_MAX_VERT_SPD_ERR = 9;

            const ::DDS::Octet EstimatorStatus__CS_TILT_ALIGN = 0;

            const ::DDS::Octet EstimatorStatus__CS_YAW_ALIGN = 1;

            const ::DDS::Octet EstimatorStatus__CS_GPS = 2;

            const ::DDS::Octet EstimatorStatus__CS_OPT_FLOW = 3;

            const ::DDS::Octet EstimatorStatus__CS_MAG_HDG = 4;

            const ::DDS::Octet EstimatorStatus__CS_MAG_3D = 5;

            const ::DDS::Octet EstimatorStatus__CS_MAG_DEC = 6;

            const ::DDS::Octet EstimatorStatus__CS_IN_AIR = 7;

            const ::DDS::Octet EstimatorStatus__CS_WIND = 8;

            const ::DDS::Octet EstimatorStatus__CS_BARO_HGT = 9;

            const ::DDS::Octet EstimatorStatus__CS_RNG_HGT = 10;

            const ::DDS::Octet EstimatorStatus__CS_GPS_HGT = 11;

            const ::DDS::Octet EstimatorStatus__CS_EV_POS = 12;

            const ::DDS::Octet EstimatorStatus__CS_EV_YAW = 13;

            const ::DDS::Octet EstimatorStatus__CS_EV_HGT = 14;

            const ::DDS::Octet EstimatorStatus__CS_BETA = 15;

            const ::DDS::Octet EstimatorStatus__CS_MAG_FIELD = 16;

            const ::DDS::Octet EstimatorStatus__CS_FIXED_WING = 17;

            const ::DDS::Octet EstimatorStatus__CS_MAG_FAULT = 18;

            const ::DDS::Octet EstimatorStatus__CS_ASPD = 19;

            const ::DDS::Octet EstimatorStatus__CS_GND_EFFECT = 20;

            const ::DDS::Octet EstimatorStatus__CS_RNG_STUCK = 21;

            const ::DDS::Octet EstimatorStatus__CS_GPS_YAW = 22;

            const ::DDS::Octet EstimatorStatus__CS_MAG_ALIGNED = 23;

            struct px4_msgs__EstimatorStatus__float_array_24_uniq_{};
            typedef ::DDS::Float px4_msgs__EstimatorStatus__float_array_24_slice;
            typedef ::DDS::Float px4_msgs__EstimatorStatus__float_array_24[24];
            typedef DDS_DCPS_FArray_var< px4_msgs__EstimatorStatus__float_array_24, px4_msgs__EstimatorStatus__float_array_24_slice, struct px4_msgs__EstimatorStatus__float_array_24_uniq_ > px4_msgs__EstimatorStatus__float_array_24_var;
            typedef px4_msgs__EstimatorStatus__float_array_24 px4_msgs__EstimatorStatus__float_array_24_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__EstimatorStatus__float_array_24, px4_msgs__EstimatorStatus__float_array_24_slice, struct px4_msgs__EstimatorStatus__float_array_24_uniq_ > px4_msgs__EstimatorStatus__float_array_24_forany;
            extern px4_msgs__EstimatorStatus__float_array_24_slice *px4_msgs__EstimatorStatus__float_array_24_alloc();
            extern void px4_msgs__EstimatorStatus__float_array_24_free(px4_msgs__EstimatorStatus__float_array_24_slice *);
            extern void px4_msgs__EstimatorStatus__float_array_24_copy(px4_msgs__EstimatorStatus__float_array_24_slice *to, const px4_msgs__EstimatorStatus__float_array_24_slice *from);
            extern px4_msgs__EstimatorStatus__float_array_24_slice *px4_msgs__EstimatorStatus__float_array_24_dup(const px4_msgs__EstimatorStatus__float_array_24_slice *from);

            struct px4_msgs__EstimatorStatus__float_array_3_uniq_{};
            typedef ::DDS::Float px4_msgs__EstimatorStatus__float_array_3_slice;
            typedef ::DDS::Float px4_msgs__EstimatorStatus__float_array_3[3];
            typedef DDS_DCPS_FArray_var< px4_msgs__EstimatorStatus__float_array_3, px4_msgs__EstimatorStatus__float_array_3_slice, struct px4_msgs__EstimatorStatus__float_array_3_uniq_ > px4_msgs__EstimatorStatus__float_array_3_var;
            typedef px4_msgs__EstimatorStatus__float_array_3 px4_msgs__EstimatorStatus__float_array_3_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__EstimatorStatus__float_array_3, px4_msgs__EstimatorStatus__float_array_3_slice, struct px4_msgs__EstimatorStatus__float_array_3_uniq_ > px4_msgs__EstimatorStatus__float_array_3_forany;
            extern px4_msgs__EstimatorStatus__float_array_3_slice *px4_msgs__EstimatorStatus__float_array_3_alloc();
            extern void px4_msgs__EstimatorStatus__float_array_3_free(px4_msgs__EstimatorStatus__float_array_3_slice *);
            extern void px4_msgs__EstimatorStatus__float_array_3_copy(px4_msgs__EstimatorStatus__float_array_3_slice *to, const px4_msgs__EstimatorStatus__float_array_3_slice *from);
            extern px4_msgs__EstimatorStatus__float_array_3_slice *px4_msgs__EstimatorStatus__float_array_3_dup(const px4_msgs__EstimatorStatus__float_array_3_slice *from);

            struct  EstimatorStatus_
            {
                ::DDS::ULongLong timestamp_;
                ::px4_msgs::msg::dds_::px4_msgs__EstimatorStatus__float_array_24 states_;
                ::DDS::Octet n_states_;
                ::px4_msgs::msg::dds_::px4_msgs__EstimatorStatus__float_array_3 vibe_;
                ::px4_msgs::msg::dds_::px4_msgs__EstimatorStatus__float_array_24 covariances_;
                ::DDS::UShort gps_check_fail_flags_;
                ::DDS::ULong control_mode_flags_;
                ::DDS::UShort filter_fault_flags_;
                ::DDS::Float pos_horiz_accuracy_;
                ::DDS::Float pos_vert_accuracy_;
                ::DDS::UShort innovation_check_flags_;
                ::DDS::Float mag_test_ratio_;
                ::DDS::Float vel_test_ratio_;
                ::DDS::Float pos_test_ratio_;
                ::DDS::Float hgt_test_ratio_;
                ::DDS::Float tas_test_ratio_;
                ::DDS::Float hagl_test_ratio_;
                ::DDS::Float beta_test_ratio_;
                ::DDS::UShort solution_status_flags_;
                ::DDS::Float time_slip_;
                ::DDS::Boolean pre_flt_fail_innov_heading_;
                ::DDS::Boolean pre_flt_fail_innov_vel_horiz_;
                ::DDS::Boolean pre_flt_fail_innov_vel_vert_;
                ::DDS::Boolean pre_flt_fail_innov_height_;
                ::DDS::Octet health_flags_;
                ::DDS::Octet timeout_flags_;
            };

            typedef DDS_DCPSStruct_var<EstimatorStatus_> EstimatorStatus__var;
            typedef EstimatorStatus_& EstimatorStatus__out;

        }

    }

}

#endif /* _H_1E13F2CC6D3D4400C099D9BDF08CC5D3_EstimatorStatus__H_ */
