#ifndef _H_3AB1778F853260DCB6393C8BD671FC11_GeofenceResult__H_
#define _H_3AB1778F853260DCB6393C8BD671FC11_GeofenceResult__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet GeofenceResult__GF_ACTION_NONE = 0;

            const ::DDS::Octet GeofenceResult__GF_ACTION_WARN = 1;

            const ::DDS::Octet GeofenceResult__GF_ACTION_LOITER = 2;

            const ::DDS::Octet GeofenceResult__GF_ACTION_RTL = 3;

            const ::DDS::Octet GeofenceResult__GF_ACTION_TERMINATE = 4;

            struct  GeofenceResult_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Boolean geofence_violated_;
                ::DDS::Octet geofence_action_;
                ::DDS::Boolean home_required_;
            };

            typedef DDS_DCPSStruct_var<GeofenceResult_> GeofenceResult__var;
            typedef GeofenceResult_& GeofenceResult__out;

        }

    }

}

#endif /* _H_3AB1778F853260DCB6393C8BD671FC11_GeofenceResult__H_ */
