#ifndef _H_5F8B010ACB657EFFCB735F982C866965_LedControl__H_
#define _H_5F8B010ACB657EFFCB735F982C866965_LedControl__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet LedControl__COLOR_OFF = 0;

            const ::DDS::Octet LedControl__COLOR_RED = 1;

            const ::DDS::Octet LedControl__COLOR_GREEN = 2;

            const ::DDS::Octet LedControl__COLOR_BLUE = 3;

            const ::DDS::Octet LedControl__COLOR_YELLOW = 4;

            const ::DDS::Octet LedControl__COLOR_PURPLE = 5;

            const ::DDS::Octet LedControl__COLOR_AMBER = 6;

            const ::DDS::Octet LedControl__COLOR_CYAN = 7;

            const ::DDS::Octet LedControl__COLOR_WHITE = 8;

            const ::DDS::Octet LedControl__MODE_OFF = 0;

            const ::DDS::Octet LedControl__MODE_ON = 1;

            const ::DDS::Octet LedControl__MODE_DISABLED = 2;

            const ::DDS::Octet LedControl__MODE_BLINK_SLOW = 3;

            const ::DDS::Octet LedControl__MODE_BLINK_NORMAL = 4;

            const ::DDS::Octet LedControl__MODE_BLINK_FAST = 5;

            const ::DDS::Octet LedControl__MODE_BREATHE = 6;

            const ::DDS::Octet LedControl__MODE_FLASH = 7;

            const ::DDS::Octet LedControl__MAX_PRIORITY = 2;

            const ::DDS::Octet LedControl__ORB_QUEUE_LENGTH = 4;

            struct  LedControl_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Octet led_mask_;
                ::DDS::Octet color_;
                ::DDS::Octet mode_;
                ::DDS::Octet num_blinks_;
                ::DDS::Octet priority_;
            };

            typedef DDS_DCPSStruct_var<LedControl_> LedControl__var;
            typedef LedControl_& LedControl__out;

        }

    }

}

#endif /* _H_5F8B010ACB657EFFCB735F982C866965_LedControl__H_ */
