#ifndef _H_0FFAC434ABED66A92E7614AEC6AA0D1D_ManualControlSetpoint__H_
#define _H_0FFAC434ABED66A92E7614AEC6AA0D1D_ManualControlSetpoint__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet ManualControlSetpoint__SWITCH_POS_NONE = 0;

            const ::DDS::Octet ManualControlSetpoint__SWITCH_POS_ON = 1;

            const ::DDS::Octet ManualControlSetpoint__SWITCH_POS_MIDDLE = 2;

            const ::DDS::Octet ManualControlSetpoint__SWITCH_POS_OFF = 3;

            const ::DDS::Octet ManualControlSetpoint__MODE_SLOT_NONE = 0;

            const ::DDS::Octet ManualControlSetpoint__MODE_SLOT_1 = 1;

            const ::DDS::Octet ManualControlSetpoint__MODE_SLOT_2 = 2;

            const ::DDS::Octet ManualControlSetpoint__MODE_SLOT_3 = 3;

            const ::DDS::Octet ManualControlSetpoint__MODE_SLOT_4 = 4;

            const ::DDS::Octet ManualControlSetpoint__MODE_SLOT_5 = 5;

            const ::DDS::Octet ManualControlSetpoint__MODE_SLOT_6 = 6;

            const ::DDS::Octet ManualControlSetpoint__MODE_SLOT_NUM = 6;

            const ::DDS::Octet ManualControlSetpoint__SOURCE_RC = 1;

            const ::DDS::Octet ManualControlSetpoint__SOURCE_MAVLINK_0 = 2;

            const ::DDS::Octet ManualControlSetpoint__SOURCE_MAVLINK_1 = 3;

            const ::DDS::Octet ManualControlSetpoint__SOURCE_MAVLINK_2 = 4;

            const ::DDS::Octet ManualControlSetpoint__SOURCE_MAVLINK_3 = 5;

            struct  ManualControlSetpoint_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Float x_;
                ::DDS::Float y_;
                ::DDS::Float z_;
                ::DDS::Float r_;
                ::DDS::Float flaps_;
                ::DDS::Float aux1_;
                ::DDS::Float aux2_;
                ::DDS::Float aux3_;
                ::DDS::Float aux4_;
                ::DDS::Float aux5_;
                ::DDS::Float aux6_;
                ::DDS::Octet mode_switch_;
                ::DDS::Octet return_switch_;
                ::DDS::Octet rattitude_switch_;
                ::DDS::Octet posctl_switch_;
                ::DDS::Octet loiter_switch_;
                ::DDS::Octet acro_switch_;
                ::DDS::Octet offboard_switch_;
                ::DDS::Octet kill_switch_;
                ::DDS::Octet arm_switch_;
                ::DDS::Octet transition_switch_;
                ::DDS::Octet gear_switch_;
                ::DDS::Octet mode_slot_;
                ::DDS::Octet data_source_;
                ::DDS::Octet stab_switch_;
                ::DDS::Octet man_switch_;
            };

            typedef DDS_DCPSStruct_var<ManualControlSetpoint_> ManualControlSetpoint__var;
            typedef ManualControlSetpoint_& ManualControlSetpoint__out;

        }

    }

}

#endif /* _H_0FFAC434ABED66A92E7614AEC6AA0D1D_ManualControlSetpoint__H_ */
