#ifndef _H_C1570B5445657C4CE32447603099B5C6_ObstacleDistanceFused__H_
#define _H_C1570B5445657C4CE32447603099B5C6_ObstacleDistanceFused__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet ObstacleDistanceFused__MAV_FRAME_GLOBAL = 0;

            const ::DDS::Octet ObstacleDistanceFused__MAV_FRAME_LOCAL_NED = 1;

            const ::DDS::Octet ObstacleDistanceFused__MAV_FRAME_BODY_FRD = 12;

            const ::DDS::Octet ObstacleDistanceFused__MAV_DISTANCE_SENSOR_LASER = 0;

            const ::DDS::Octet ObstacleDistanceFused__MAV_DISTANCE_SENSOR_ULTRASOUND = 1;

            const ::DDS::Octet ObstacleDistanceFused__MAV_DISTANCE_SENSOR_INFRARED = 2;

            const ::DDS::Octet ObstacleDistanceFused__MAV_DISTANCE_SENSOR_RADAR = 3;

            struct px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_uniq_{};
            typedef ::DDS::UShort px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice;
            typedef ::DDS::UShort px4_msgs__ObstacleDistanceFused__unsigned_short_array_72[72];
            typedef DDS_DCPS_FArray_var< px4_msgs__ObstacleDistanceFused__unsigned_short_array_72, px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice, struct px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_uniq_ > px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_var;
            typedef px4_msgs__ObstacleDistanceFused__unsigned_short_array_72 px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__ObstacleDistanceFused__unsigned_short_array_72, px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice, struct px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_uniq_ > px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_forany;
            extern px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice *px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_alloc();
            extern void px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_free(px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice *);
            extern void px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_copy(px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice *to, const px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice *from);
            extern px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice *px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_dup(const px4_msgs__ObstacleDistanceFused__unsigned_short_array_72_slice *from);

            struct  ObstacleDistanceFused_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Octet frame_;
                ::DDS::Octet sensor_type_;
                ::px4_msgs::msg::dds_::px4_msgs__ObstacleDistanceFused__unsigned_short_array_72 distances_;
                ::DDS::Float increment_;
                ::DDS::UShort min_distance_;
                ::DDS::UShort max_distance_;
                ::DDS::Float angle_offset_;
            };

            typedef DDS_DCPSStruct_var<ObstacleDistanceFused_> ObstacleDistanceFused__var;
            typedef ObstacleDistanceFused_& ObstacleDistanceFused__out;

        }

    }

}

#endif /* _H_C1570B5445657C4CE32447603099B5C6_ObstacleDistanceFused__H_ */
