#ifndef _H_6F9C65AF6630B2E92D1B024A74C4E03A_SatelliteInfo__H_
#define _H_6F9C65AF6630B2E92D1B024A74C4E03A_SatelliteInfo__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet SatelliteInfo__SAT_INFO_MAX_SATELLITES = 20;

            struct px4_msgs__SatelliteInfo__octet_array_20_uniq_{};
            typedef ::DDS::Octet px4_msgs__SatelliteInfo__octet_array_20_slice;
            typedef ::DDS::Octet px4_msgs__SatelliteInfo__octet_array_20[20];
            typedef DDS_DCPS_FArray_var< px4_msgs__SatelliteInfo__octet_array_20, px4_msgs__SatelliteInfo__octet_array_20_slice, struct px4_msgs__SatelliteInfo__octet_array_20_uniq_ > px4_msgs__SatelliteInfo__octet_array_20_var;
            typedef px4_msgs__SatelliteInfo__octet_array_20 px4_msgs__SatelliteInfo__octet_array_20_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__SatelliteInfo__octet_array_20, px4_msgs__SatelliteInfo__octet_array_20_slice, struct px4_msgs__SatelliteInfo__octet_array_20_uniq_ > px4_msgs__SatelliteInfo__octet_array_20_forany;
            extern px4_msgs__SatelliteInfo__octet_array_20_slice *px4_msgs__SatelliteInfo__octet_array_20_alloc();
            extern void px4_msgs__SatelliteInfo__octet_array_20_free(px4_msgs__SatelliteInfo__octet_array_20_slice *);
            extern void px4_msgs__SatelliteInfo__octet_array_20_copy(px4_msgs__SatelliteInfo__octet_array_20_slice *to, const px4_msgs__SatelliteInfo__octet_array_20_slice *from);
            extern px4_msgs__SatelliteInfo__octet_array_20_slice *px4_msgs__SatelliteInfo__octet_array_20_dup(const px4_msgs__SatelliteInfo__octet_array_20_slice *from);

            struct  SatelliteInfo_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Octet count_;
                ::px4_msgs::msg::dds_::px4_msgs__SatelliteInfo__octet_array_20 svid_;
                ::px4_msgs::msg::dds_::px4_msgs__SatelliteInfo__octet_array_20 used_;
                ::px4_msgs::msg::dds_::px4_msgs__SatelliteInfo__octet_array_20 elevation_;
                ::px4_msgs::msg::dds_::px4_msgs__SatelliteInfo__octet_array_20 azimuth_;
                ::px4_msgs::msg::dds_::px4_msgs__SatelliteInfo__octet_array_20 snr_;
            };

            typedef DDS_DCPSStruct_var<SatelliteInfo_> SatelliteInfo__var;
            typedef SatelliteInfo_& SatelliteInfo__out;

        }

    }

}

#endif /* _H_6F9C65AF6630B2E92D1B024A74C4E03A_SatelliteInfo__H_ */
