#ifndef _H_AF839EB75F44B033337F81723CE7447A_SystemPower__H_
#define _H_AF839EB75F44B033337F81723CE7447A_SystemPower__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet SystemPower__BRICK1_VALID_SHIFTS = 0;

            const ::DDS::Octet SystemPower__BRICK1_VALID_MASK = 1;

            const ::DDS::Octet SystemPower__BRICK2_VALID_SHIFTS = 1;

            const ::DDS::Octet SystemPower__BRICK2_VALID_MASK = 2;

            const ::DDS::Octet SystemPower__BRICK3_VALID_SHIFTS = 2;

            const ::DDS::Octet SystemPower__BRICK3_VALID_MASK = 4;

            const ::DDS::Octet SystemPower__BRICK4_VALID_SHIFTS = 3;

            const ::DDS::Octet SystemPower__BRICK4_VALID_MASK = 8;

            struct  SystemPower_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Float voltage5v_v_;
                ::DDS::Float voltage3v3_v_;
                ::DDS::Octet v3v3_valid_;
                ::DDS::Octet usb_connected_;
                ::DDS::Octet brick_valid_;
                ::DDS::Octet usb_valid_;
                ::DDS::Octet servo_valid_;
                ::DDS::Octet periph_5v_oc_;
                ::DDS::Octet hipower_5v_oc_;
            };

            typedef DDS_DCPSStruct_var<SystemPower_> SystemPower__var;
            typedef SystemPower_& SystemPower__out;

        }

    }

}

#endif /* _H_AF839EB75F44B033337F81723CE7447A_SystemPower__H_ */
