#ifndef _H_347811F3F5D707DAA1C6779A17DAECB3_TuneControl__H_
#define _H_347811F3F5D707DAA1C6779A17DAECB3_TuneControl__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet TuneControl__VOLUME_LEVEL_MIN = 0;

            const ::DDS::Octet TuneControl__VOLUME_LEVEL_DEFAULT = 40;

            const ::DDS::Octet TuneControl__VOLUME_LEVEL_MAX = 100;

            const ::DDS::Octet TuneControl__ORB_QUEUE_LENGTH = 3;

            struct  TuneControl_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Octet tune_id_;
                ::DDS::Octet tune_override_;
                ::DDS::UShort frequency_;
                ::DDS::ULong duration_;
                ::DDS::ULong silence_;
                ::DDS::Octet volume_;
            };

            typedef DDS_DCPSStruct_var<TuneControl_> TuneControl__var;
            typedef TuneControl_& TuneControl__out;

        }

    }

}

#endif /* _H_347811F3F5D707DAA1C6779A17DAECB3_TuneControl__H_ */
