#ifndef _H_DE82F1663B03AEC9C3F0871E65AA790F_VehicleAttitudeSetpoint__H_
#define _H_DE82F1663B03AEC9C3F0871E65AA790F_VehicleAttitudeSetpoint__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace px4_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet VehicleAttitudeSetpoint__FLAPS_OFF = 0;

            const ::DDS::Octet VehicleAttitudeSetpoint__FLAPS_LAND = 1;

            const ::DDS::Octet VehicleAttitudeSetpoint__FLAPS_TAKEOFF = 2;

            struct px4_msgs__VehicleAttitudeSetpoint__float_array_4_uniq_{};
            typedef ::DDS::Float px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice;
            typedef ::DDS::Float px4_msgs__VehicleAttitudeSetpoint__float_array_4[4];
            typedef DDS_DCPS_FArray_var< px4_msgs__VehicleAttitudeSetpoint__float_array_4, px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice, struct px4_msgs__VehicleAttitudeSetpoint__float_array_4_uniq_ > px4_msgs__VehicleAttitudeSetpoint__float_array_4_var;
            typedef px4_msgs__VehicleAttitudeSetpoint__float_array_4 px4_msgs__VehicleAttitudeSetpoint__float_array_4_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__VehicleAttitudeSetpoint__float_array_4, px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice, struct px4_msgs__VehicleAttitudeSetpoint__float_array_4_uniq_ > px4_msgs__VehicleAttitudeSetpoint__float_array_4_forany;
            extern px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice *px4_msgs__VehicleAttitudeSetpoint__float_array_4_alloc();
            extern void px4_msgs__VehicleAttitudeSetpoint__float_array_4_free(px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice *);
            extern void px4_msgs__VehicleAttitudeSetpoint__float_array_4_copy(px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice *to, const px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice *from);
            extern px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice *px4_msgs__VehicleAttitudeSetpoint__float_array_4_dup(const px4_msgs__VehicleAttitudeSetpoint__float_array_4_slice *from);

            struct px4_msgs__VehicleAttitudeSetpoint__float_array_3_uniq_{};
            typedef ::DDS::Float px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice;
            typedef ::DDS::Float px4_msgs__VehicleAttitudeSetpoint__float_array_3[3];
            typedef DDS_DCPS_FArray_var< px4_msgs__VehicleAttitudeSetpoint__float_array_3, px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice, struct px4_msgs__VehicleAttitudeSetpoint__float_array_3_uniq_ > px4_msgs__VehicleAttitudeSetpoint__float_array_3_var;
            typedef px4_msgs__VehicleAttitudeSetpoint__float_array_3 px4_msgs__VehicleAttitudeSetpoint__float_array_3_out;
            typedef DDS_DCPS_Array_forany< px4_msgs__VehicleAttitudeSetpoint__float_array_3, px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice, struct px4_msgs__VehicleAttitudeSetpoint__float_array_3_uniq_ > px4_msgs__VehicleAttitudeSetpoint__float_array_3_forany;
            extern px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice *px4_msgs__VehicleAttitudeSetpoint__float_array_3_alloc();
            extern void px4_msgs__VehicleAttitudeSetpoint__float_array_3_free(px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice *);
            extern void px4_msgs__VehicleAttitudeSetpoint__float_array_3_copy(px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice *to, const px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice *from);
            extern px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice *px4_msgs__VehicleAttitudeSetpoint__float_array_3_dup(const px4_msgs__VehicleAttitudeSetpoint__float_array_3_slice *from);

            struct  VehicleAttitudeSetpoint_
            {
                ::DDS::ULongLong timestamp_;
                ::DDS::Float roll_body_;
                ::DDS::Float pitch_body_;
                ::DDS::Float yaw_body_;
                ::DDS::Float yaw_sp_move_rate_;
                ::px4_msgs::msg::dds_::px4_msgs__VehicleAttitudeSetpoint__float_array_4 q_d_;
                ::DDS::Boolean q_d_valid_;
                ::px4_msgs::msg::dds_::px4_msgs__VehicleAttitudeSetpoint__float_array_3 thrust_body_;
                ::DDS::Boolean roll_reset_integral_;
                ::DDS::Boolean pitch_reset_integral_;
                ::DDS::Boolean yaw_reset_integral_;
                ::DDS::Boolean fw_control_yaw_;
                ::DDS::Octet apply_flaps_;
            };

            typedef DDS_DCPSStruct_var<VehicleAttitudeSetpoint_> VehicleAttitudeSetpoint__var;
            typedef VehicleAttitudeSetpoint_& VehicleAttitudeSetpoint__out;

        }

    }

}

#endif /* _H_DE82F1663B03AEC9C3F0871E65AA790F_VehicleAttitudeSetpoint__H_ */
