// generated from rosidl_generator_c/resource/msg__struct.h.em
// generated code does not contain a copyright notice

#ifndef PX4_MSGS__MSG__DISTANCE_SENSOR__STRUCT_H_
#define PX4_MSGS__MSG__DISTANCE_SENSOR__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// constants defined in the message
// MAV_DISTANCE_SENSOR_LASER
enum
{
  px4_msgs__msg__DistanceSensor__MAV_DISTANCE_SENSOR_LASER = 0u
};
// MAV_DISTANCE_SENSOR_ULTRASOUND
enum
{
  px4_msgs__msg__DistanceSensor__MAV_DISTANCE_SENSOR_ULTRASOUND = 1u
};
// MAV_DISTANCE_SENSOR_INFRARED
enum
{
  px4_msgs__msg__DistanceSensor__MAV_DISTANCE_SENSOR_INFRARED = 2u
};
// MAV_DISTANCE_SENSOR_RADAR
enum
{
  px4_msgs__msg__DistanceSensor__MAV_DISTANCE_SENSOR_RADAR = 3u
};
// ROTATION_YAW_0
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_YAW_0 = 0u
};
// ROTATION_YAW_45
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_YAW_45 = 1u
};
// ROTATION_YAW_90
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_YAW_90 = 2u
};
// ROTATION_YAW_135
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_YAW_135 = 3u
};
// ROTATION_YAW_180
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_YAW_180 = 4u
};
// ROTATION_YAW_225
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_YAW_225 = 5u
};
// ROTATION_YAW_270
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_YAW_270 = 6u
};
// ROTATION_YAW_315
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_YAW_315 = 7u
};
// ROTATION_FORWARD_FACING
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_FORWARD_FACING = 0u
};
// ROTATION_RIGHT_FACING
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_RIGHT_FACING = 2u
};
// ROTATION_BACKWARD_FACING
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_BACKWARD_FACING = 4u
};
// ROTATION_LEFT_FACING
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_LEFT_FACING = 6u
};
// ROTATION_UPWARD_FACING
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_UPWARD_FACING = 24u
};
// ROTATION_DOWNWARD_FACING
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_DOWNWARD_FACING = 25u
};
// ROTATION_CUSTOM
enum
{
  px4_msgs__msg__DistanceSensor__ROTATION_CUSTOM = 100u
};

/// Struct of message px4_msgs/DistanceSensor
typedef struct px4_msgs__msg__DistanceSensor
{
  uint64_t timestamp;
  float min_distance;
  float max_distance;
  float current_distance;
  float variance;
  int8_t signal_quality;
  uint8_t type;
  uint8_t id;
  float h_fov;
  float v_fov;
  float q[4];
  uint8_t orientation;
} px4_msgs__msg__DistanceSensor;

/// Struct for an array of messages
typedef struct px4_msgs__msg__DistanceSensor__Sequence
{
  px4_msgs__msg__DistanceSensor * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} px4_msgs__msg__DistanceSensor__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // PX4_MSGS__MSG__DISTANCE_SENSOR__STRUCT_H_
