// generated from rosidl_generator_c/resource/msg__struct.h.em
// generated code does not contain a copyright notice

#ifndef PX4_MSGS__MSG__INPUT_RC__STRUCT_H_
#define PX4_MSGS__MSG__INPUT_RC__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// constants defined in the message
// RC_INPUT_SOURCE_UNKNOWN
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_UNKNOWN = 0u
};
// RC_INPUT_SOURCE_PX4FMU_PPM
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4FMU_PPM = 1u
};
// RC_INPUT_SOURCE_PX4IO_PPM
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4IO_PPM = 2u
};
// RC_INPUT_SOURCE_PX4IO_SPEKTRUM
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4IO_SPEKTRUM = 3u
};
// RC_INPUT_SOURCE_PX4IO_SBUS
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4IO_SBUS = 4u
};
// RC_INPUT_SOURCE_PX4IO_ST24
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4IO_ST24 = 5u
};
// RC_INPUT_SOURCE_MAVLINK
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_MAVLINK = 6u
};
// RC_INPUT_SOURCE_QURT
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_QURT = 7u
};
// RC_INPUT_SOURCE_PX4FMU_SPEKTRUM
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4FMU_SPEKTRUM = 8u
};
// RC_INPUT_SOURCE_PX4FMU_SBUS
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4FMU_SBUS = 9u
};
// RC_INPUT_SOURCE_PX4FMU_ST24
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4FMU_ST24 = 10u
};
// RC_INPUT_SOURCE_PX4FMU_SUMD
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4FMU_SUMD = 11u
};
// RC_INPUT_SOURCE_PX4FMU_DSM
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4FMU_DSM = 12u
};
// RC_INPUT_SOURCE_PX4IO_SUMD
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4IO_SUMD = 13u
};
// RC_INPUT_SOURCE_PX4FMU_CRSF
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_SOURCE_PX4FMU_CRSF = 14u
};
// RC_INPUT_MAX_CHANNELS
enum
{
  px4_msgs__msg__InputRc__RC_INPUT_MAX_CHANNELS = 18u
};

/// Struct of message px4_msgs/InputRc
typedef struct px4_msgs__msg__InputRc
{
  uint64_t timestamp;
  uint64_t timestamp_last_signal;
  uint32_t channel_count;
  int32_t rssi;
  bool rc_failsafe;
  bool rc_lost;
  uint16_t rc_lost_frame_count;
  uint16_t rc_total_frame_count;
  uint16_t rc_ppm_frame_length;
  uint8_t input_source;
  uint16_t values[18];
} px4_msgs__msg__InputRc;

/// Struct for an array of messages
typedef struct px4_msgs__msg__InputRc__Sequence
{
  px4_msgs__msg__InputRc * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} px4_msgs__msg__InputRc__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // PX4_MSGS__MSG__INPUT_RC__STRUCT_H_
