// generated from rosidl_generator_c/resource/msg__struct.h.em
// generated code does not contain a copyright notice

#ifndef PX4_MSGS__MSG__VEHICLE_STATUS__STRUCT_H_
#define PX4_MSGS__MSG__VEHICLE_STATUS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// constants defined in the message
// ARMING_STATE_INIT
enum
{
  px4_msgs__msg__VehicleStatus__ARMING_STATE_INIT = 0u
};
// ARMING_STATE_STANDBY
enum
{
  px4_msgs__msg__VehicleStatus__ARMING_STATE_STANDBY = 1u
};
// ARMING_STATE_ARMED
enum
{
  px4_msgs__msg__VehicleStatus__ARMING_STATE_ARMED = 2u
};
// ARMING_STATE_STANDBY_ERROR
enum
{
  px4_msgs__msg__VehicleStatus__ARMING_STATE_STANDBY_ERROR = 3u
};
// ARMING_STATE_SHUTDOWN
enum
{
  px4_msgs__msg__VehicleStatus__ARMING_STATE_SHUTDOWN = 4u
};
// ARMING_STATE_IN_AIR_RESTORE
enum
{
  px4_msgs__msg__VehicleStatus__ARMING_STATE_IN_AIR_RESTORE = 5u
};
// ARMING_STATE_MAX
enum
{
  px4_msgs__msg__VehicleStatus__ARMING_STATE_MAX = 6u
};
// FAILURE_NONE
enum
{
  px4_msgs__msg__VehicleStatus__FAILURE_NONE = 0u
};
// FAILURE_ROLL
enum
{
  px4_msgs__msg__VehicleStatus__FAILURE_ROLL = 1u
};
// FAILURE_PITCH
enum
{
  px4_msgs__msg__VehicleStatus__FAILURE_PITCH = 2u
};
// FAILURE_ALT
enum
{
  px4_msgs__msg__VehicleStatus__FAILURE_ALT = 4u
};
// HIL_STATE_OFF
enum
{
  px4_msgs__msg__VehicleStatus__HIL_STATE_OFF = 0u
};
// HIL_STATE_ON
enum
{
  px4_msgs__msg__VehicleStatus__HIL_STATE_ON = 1u
};
// NAVIGATION_STATE_MANUAL
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_MANUAL = 0u
};
// NAVIGATION_STATE_ALTCTL
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_ALTCTL = 1u
};
// NAVIGATION_STATE_POSCTL
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_POSCTL = 2u
};
// NAVIGATION_STATE_AUTO_MISSION
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_MISSION = 3u
};
// NAVIGATION_STATE_AUTO_LOITER
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_LOITER = 4u
};
// NAVIGATION_STATE_AUTO_RTL
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_RTL = 5u
};
// NAVIGATION_STATE_AUTO_RCRECOVER
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_RCRECOVER = 6u
};
// NAVIGATION_STATE_AUTO_RTGS
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_RTGS = 7u
};
// NAVIGATION_STATE_AUTO_LANDENGFAIL
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_LANDENGFAIL = 8u
};
// NAVIGATION_STATE_AUTO_LANDGPSFAIL
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_LANDGPSFAIL = 9u
};
// NAVIGATION_STATE_ACRO
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_ACRO = 10u
};
// NAVIGATION_STATE_UNUSED
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_UNUSED = 11u
};
// NAVIGATION_STATE_DESCEND
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_DESCEND = 12u
};
// NAVIGATION_STATE_TERMINATION
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_TERMINATION = 13u
};
// NAVIGATION_STATE_OFFBOARD
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_OFFBOARD = 14u
};
// NAVIGATION_STATE_STAB
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_STAB = 15u
};
// NAVIGATION_STATE_RATTITUDE
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_RATTITUDE = 16u
};
// NAVIGATION_STATE_AUTO_TAKEOFF
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_TAKEOFF = 17u
};
// NAVIGATION_STATE_AUTO_LAND
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_LAND = 18u
};
// NAVIGATION_STATE_AUTO_FOLLOW_TARGET
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_FOLLOW_TARGET = 19u
};
// NAVIGATION_STATE_AUTO_PRECLAND
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_AUTO_PRECLAND = 20u
};
// NAVIGATION_STATE_ORBIT
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_ORBIT = 21u
};
// NAVIGATION_STATE_MAX
enum
{
  px4_msgs__msg__VehicleStatus__NAVIGATION_STATE_MAX = 22u
};
// RC_IN_MODE_DEFAULT
enum
{
  px4_msgs__msg__VehicleStatus__RC_IN_MODE_DEFAULT = 0u
};
// RC_IN_MODE_OFF
enum
{
  px4_msgs__msg__VehicleStatus__RC_IN_MODE_OFF = 1u
};
// RC_IN_MODE_GENERATED
enum
{
  px4_msgs__msg__VehicleStatus__RC_IN_MODE_GENERATED = 2u
};
// VEHICLE_TYPE_UNKNOWN
enum
{
  px4_msgs__msg__VehicleStatus__VEHICLE_TYPE_UNKNOWN = 0u
};
// VEHICLE_TYPE_ROTARY_WING
enum
{
  px4_msgs__msg__VehicleStatus__VEHICLE_TYPE_ROTARY_WING = 1u
};
// VEHICLE_TYPE_FIXED_WING
enum
{
  px4_msgs__msg__VehicleStatus__VEHICLE_TYPE_FIXED_WING = 2u
};
// VEHICLE_TYPE_ROVER
enum
{
  px4_msgs__msg__VehicleStatus__VEHICLE_TYPE_ROVER = 3u
};

/// Struct of message px4_msgs/VehicleStatus
typedef struct px4_msgs__msg__VehicleStatus
{
  uint64_t timestamp;
  uint8_t nav_state;
  uint8_t arming_state;
  uint8_t hil_state;
  bool failsafe;
  uint8_t system_type;
  uint8_t system_id;
  uint8_t component_id;
  uint8_t vehicle_type;
  bool is_vtol;
  bool vtol_fw_permanent_stab;
  bool in_transition_mode;
  bool in_transition_to_fw;
  bool rc_signal_lost;
  uint8_t rc_input_mode;
  bool data_link_lost;
  uint8_t data_link_lost_counter;
  bool high_latency_data_link_lost;
  bool engine_failure;
  bool mission_failure;
  uint8_t failure_detector_status;
  uint32_t onboard_control_sensors_present;
  uint32_t onboard_control_sensors_enabled;
  uint32_t onboard_control_sensors_health;
  float arspd_check_level;
  bool aspd_check_failing;
  bool aspd_fault_declared;
  bool aspd_use_inhibit;
  bool aspd_fail_rtl;
  float load_factor_ratio;
} px4_msgs__msg__VehicleStatus;

/// Struct for an array of messages
typedef struct px4_msgs__msg__VehicleStatus__Sequence
{
  px4_msgs__msg__VehicleStatus * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} px4_msgs__msg__VehicleStatus__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // PX4_MSGS__MSG__VEHICLE_STATUS__STRUCT_H_
